------------------------------------------------------------------------
r9739 | josef | 2008-02-16 21:02:57 +0100 (Sa, 16 Feb 2008) | 3 lines
Geänderte Pfade:
   M /branches/ggz-0-0-14/community/README
   M /branches/ggz-0-0-14/docs/README
   M /branches/ggz-0-0-14/ggz-client-libs/README
   M /branches/ggz-0-0-14/ggzd/README
   M /branches/ggz-0-0-14/gnome-client/README
   M /branches/ggz-0-0-14/grubby/README
   M /branches/ggz-0-0-14/gtk-client/README
   M /branches/ggz-0-0-14/gtk-games/README
   M /branches/ggz-0-0-14/kde-client/README
   M /branches/ggz-0-0-14/kde-games/README
   M /branches/ggz-0-0-14/libggz/README
   M /branches/ggz-0-0-14/python/README
   M /branches/ggz-0-0-14/sdl-games/README
   M /branches/ggz-0-0-14/txt-client/README
   M /branches/ggz-0-0-14/utils/README

- mention the point release in all README files


------------------------------------------------------------------------
r9721 | josef | 2008-02-14 19:26:14 +0100 (Do, 14 Feb 2008) | 3 lines
Geänderte Pfade:
   M /branches/ggz-0-0-14/docs/configure.ac
   M /branches/ggz-0-0-14/ggz-client-libs/configure.ac
   M /branches/ggz-0-0-14/ggzd/configure.ac
   M /branches/ggz-0-0-14/gnome-client/configure.ac
   M /branches/ggz-0-0-14/grubby/configure.ac
   M /branches/ggz-0-0-14/gtk-client/configure.ac
   M /branches/ggz-0-0-14/gtk-games/configure.ac
   M /branches/ggz-0-0-14/kde-client/configure.ac
   M /branches/ggz-0-0-14/kde-games/configure.ac
   M /branches/ggz-0-0-14/libggz/configure.ac
   M /branches/ggz-0-0-14/python/configure.ac
   M /branches/ggz-0-0-14/sdl-games/configure.ac
   M /branches/ggz-0-0-14/txt-client/configure.ac
   M /branches/ggz-0-0-14/utils/configure.ac

- prepare 0.0.14.1 point release, all modules are now due for review and install tests


------------------------------------------------------------------------
r9709 | oojah | 2008-02-13 12:23:40 +0100 (Mi, 13 Feb 2008) | 9 lines
Geänderte Pfade:
   M /branches/ggz-0-0-14/ggz-client-libs/ggzcore/game.c
   M /branches/ggz-0-0-14/ggz-client-libs/ggzcore/room.c
   M /branches/ggz-0-0-14/ggz-client-libs/ggzmod/ggzmod.c
   M /branches/ggz-0-0-14/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c

Backport change 9540 to 0.0.14.

"- use correct C99 initialisers instead of GCC-isms.

This was reported by Damien Carbery on bugs.gnome.org (#509404), although fixed slightly differently from what the patch suggested."

This change differs very slightly from 9540 because in trunk GGZErrorEventData.message has been changed from char[128] to const char *. It remains char[128] here to keep library compatibility.


------------------------------------------------------------------------
r9321 | josef | 2007-09-29 08:34:55 +0200 (Sa, 29 Sep 2007) | 3 lines
Geänderte Pfade:
   M /branches/ggz-0-0-14/ggz-client-libs/ggzcore/server.c

- conservatively apply part of r8871 which was applied to GNOME SVN as well


------------------------------------------------------------------------
r9158 | josef | 2007-06-20 20:13:35 +0200 (Mi, 20 Jun 2007) | 5 lines
Geänderte Pfade:
   M /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/Makefile.am
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/ar.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/bg.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/ca.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/cs.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/cy.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/da.po
   M /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/de.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/dz.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/en_GB.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/es.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/et.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/fi.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/fr.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/gl.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/gu.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/hu.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/ja.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/ko.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/lt.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/lv.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/mk.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/nb.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/nl.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/oc.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/pa.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/pt.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/pt_BR.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/ru.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/sv.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/th.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/uk.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/vi.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/zh_CN.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/zh_HK.po
   A /branches/ggz-0-0-14/ggz-client-libs/po/ggzcore/zh_TW.po
   M /branches/ggz-0-0-14/gtk-client/po/Makefile.am
   A /branches/ggz-0-0-14/gtk-client/po/am.po
   A /branches/ggz-0-0-14/gtk-client/po/ar.po
   A /branches/ggz-0-0-14/gtk-client/po/az.po
   A /branches/ggz-0-0-14/gtk-client/po/be.po
   A /branches/ggz-0-0-14/gtk-client/po/bg.po
   A /branches/ggz-0-0-14/gtk-client/po/bn.po
   A /branches/ggz-0-0-14/gtk-client/po/bn_IN.po
   A /branches/ggz-0-0-14/gtk-client/po/ca.po
   A /branches/ggz-0-0-14/gtk-client/po/cs.po
   A /branches/ggz-0-0-14/gtk-client/po/cy.po
   A /branches/ggz-0-0-14/gtk-client/po/da.po
   M /branches/ggz-0-0-14/gtk-client/po/de.po
   A /branches/ggz-0-0-14/gtk-client/po/dz.po
   A /branches/ggz-0-0-14/gtk-client/po/el.po
   A /branches/ggz-0-0-14/gtk-client/po/en_CA.po
   A /branches/ggz-0-0-14/gtk-client/po/en_GB.po
   M /branches/ggz-0-0-14/gtk-client/po/es.po
   A /branches/ggz-0-0-14/gtk-client/po/et.po
   A /branches/ggz-0-0-14/gtk-client/po/eu.po
   A /branches/ggz-0-0-14/gtk-client/po/fa.po
   A /branches/ggz-0-0-14/gtk-client/po/fi.po
   A /branches/ggz-0-0-14/gtk-client/po/fr.po
   A /branches/ggz-0-0-14/gtk-client/po/ga.po
   A /branches/ggz-0-0-14/gtk-client/po/gl.po
   A /branches/ggz-0-0-14/gtk-client/po/gu.po
   A /branches/ggz-0-0-14/gtk-client/po/he.po
   A /branches/ggz-0-0-14/gtk-client/po/hi.po
   A /branches/ggz-0-0-14/gtk-client/po/hr.po
   A /branches/ggz-0-0-14/gtk-client/po/hu.po
   A /branches/ggz-0-0-14/gtk-client/po/id.po
   A /branches/ggz-0-0-14/gtk-client/po/is.po
   A /branches/ggz-0-0-14/gtk-client/po/it.po
   A /branches/ggz-0-0-14/gtk-client/po/ja.po
   A /branches/ggz-0-0-14/gtk-client/po/ka.po
   A /branches/ggz-0-0-14/gtk-client/po/ko.po
   A /branches/ggz-0-0-14/gtk-client/po/ku.po
   A /branches/ggz-0-0-14/gtk-client/po/lt.po
   A /branches/ggz-0-0-14/gtk-client/po/lv.po
   A /branches/ggz-0-0-14/gtk-client/po/mk.po
   A /branches/ggz-0-0-14/gtk-client/po/ml.po
   A /branches/ggz-0-0-14/gtk-client/po/mn.po
   A /branches/ggz-0-0-14/gtk-client/po/mr.po
   A /branches/ggz-0-0-14/gtk-client/po/ms.po
   A /branches/ggz-0-0-14/gtk-client/po/nb.po
   A /branches/ggz-0-0-14/gtk-client/po/ne.po
   A /branches/ggz-0-0-14/gtk-client/po/nl.po
   A /branches/ggz-0-0-14/gtk-client/po/nn.po
   A /branches/ggz-0-0-14/gtk-client/po/oc.po
   A /branches/ggz-0-0-14/gtk-client/po/or.po
   A /branches/ggz-0-0-14/gtk-client/po/pa.po
   A /branches/ggz-0-0-14/gtk-client/po/pl.po
   A /branches/ggz-0-0-14/gtk-client/po/pt.po
   M /branches/ggz-0-0-14/gtk-client/po/pt_BR.po
   A /branches/ggz-0-0-14/gtk-client/po/ro.po
   A /branches/ggz-0-0-14/gtk-client/po/ru.po
   A /branches/ggz-0-0-14/gtk-client/po/rw.po
   A /branches/ggz-0-0-14/gtk-client/po/sk.po
   A /branches/ggz-0-0-14/gtk-client/po/sl.po
   A /branches/ggz-0-0-14/gtk-client/po/sq.po
   A /branches/ggz-0-0-14/gtk-client/po/sr.po
   A /branches/ggz-0-0-14/gtk-client/po/sr@Latn.po
   M /branches/ggz-0-0-14/gtk-client/po/sv.po
   A /branches/ggz-0-0-14/gtk-client/po/ta.po
   A /branches/ggz-0-0-14/gtk-client/po/th.po
   A /branches/ggz-0-0-14/gtk-client/po/tr.po
   A /branches/ggz-0-0-14/gtk-client/po/uk.po
   A /branches/ggz-0-0-14/gtk-client/po/vi.po
   A /branches/ggz-0-0-14/gtk-client/po/wa.po
   A /branches/ggz-0-0-14/gtk-client/po/xh.po
   A /branches/ggz-0-0-14/gtk-client/po/zh_CN.po
   A /branches/ggz-0-0-14/gtk-client/po/zh_HK.po
   A /branches/ggz-0-0-14/gtk-client/po/zh_TW.po

- backport translations from GNOME SVN (1.3 MB mega patch, but it's as slim as we can make it now)

[commit from josef@nada]


------------------------------------------------------------------------
r8956 | josef | 2007-01-17 08:06:04 +0100 (Mi, 17 Jan 2007) | 10 lines
Geänderte Pfade:
   A /branches/ggz-0-0-14 (von /trunk:8950)

- branching the ggz-0-0-14 branch

All important changes should be committed here as well, but *only* after a thorough
review period and discussion unless really trivial!

Distributors will likely pick up this branch as their main source.

[commit from josef@nada]


------------------------------------------------------------------------
r8950 | josef | 2007-01-16 19:42:07 +0100 (Di, 16 Jan 2007) | 8 lines
Geänderte Pfade:
   M /trunk/community/ChangeLog
   M /trunk/docs/ChangeLog
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggzd/ChangeLog
   M /trunk/gnome-client/ChangeLog
   M /trunk/grubby/ChangeLog
   M /trunk/gtk-client/ChangeLog
   M /trunk/gtk-games/ChangeLog
   M /trunk/java/ChangeLog
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/ChangeLog
   M /trunk/libggz/ChangeLog
   M /trunk/python/ChangeLog
   M /trunk/sdl-games/ChangeLog
   M /trunk/txt-client/ChangeLog
   M /trunk/utils/ChangeLog

- updated changelogs

This is VERY consuming (4 MB changes) since we change the changelog format.
However we have to do so since no tool seems to be able to reproduce our old format.

[commit from josef@nada]


------------------------------------------------------------------------
r8949 | josef | 2007-01-16 19:23:42 +0100 (Di, 16 Jan 2007) | 5 lines
Geänderte Pfade:
   M /trunk/docs/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/configure.ac
   M /trunk/gtk-games/configure.ac
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/configure.ac
   M /trunk/python/configure.ac
   M /trunk/sdl-games/configure.ac
   M /trunk/txt-client/configure.ac
   M /trunk/utils/configure.ac

- 0.0.14pre => 0.0.14

[commit from josef@nada]


------------------------------------------------------------------------
r8947 | josef | 2007-01-16 19:14:12 +0100 (Di, 16 Jan 2007) | 5 lines
Geänderte Pfade:
   M /trunk/community/NEWS
   M /trunk/community/README.GGZ
   M /trunk/docs/AUTHORS
   M /trunk/docs/NEWS
   M /trunk/docs/QuickStart.GGZ
   M /trunk/docs/README.GGZ
   M /trunk/ggz-client-libs/AUTHORS
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggzd/AUTHORS
   M /trunk/ggzd/NEWS
   M /trunk/ggzd/README
   M /trunk/ggzd/README.GGZ
   M /trunk/gnome-client/AUTHORS
   M /trunk/gnome-client/NEWS
   M /trunk/gnome-client/QuickStart.GGZ
   M /trunk/gnome-client/README
   M /trunk/gnome-client/README.GGZ
   M /trunk/grubby/AUTHORS
   M /trunk/grubby/NEWS
   M /trunk/grubby/README
   M /trunk/grubby/README.GGZ
   M /trunk/gtk-client/AUTHORS
   M /trunk/gtk-client/NEWS
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/README
   M /trunk/gtk-client/README.GGZ
   M /trunk/gtk-games/AUTHORS
   M /trunk/gtk-games/NEWS
   M /trunk/gtk-games/QuickStart.GGZ
   M /trunk/gtk-games/README
   M /trunk/gtk-games/README.GGZ
   M /trunk/java/AUTHORS
   M /trunk/java/NEWS
   M /trunk/java/README.GGZ
   M /trunk/kde-client/AUTHORS
   M /trunk/kde-client/NEWS
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/README
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-games/AUTHORS
   M /trunk/kde-games/NEWS
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/README
   M /trunk/kde-games/README.GGZ
   M /trunk/libggz/AUTHORS
   M /trunk/libggz/NEWS
   M /trunk/libggz/QuickStart.GGZ
   M /trunk/libggz/README.GGZ
   M /trunk/python/AUTHORS
   M /trunk/python/NEWS
   M /trunk/python/QuickStart.GGZ
   M /trunk/python/README
   M /trunk/python/README.GGZ
   M /trunk/sdl-games/AUTHORS
   M /trunk/sdl-games/NEWS
   M /trunk/sdl-games/QuickStart.GGZ
   M /trunk/sdl-games/README
   M /trunk/sdl-games/README.GGZ
   M /trunk/txt-client/AUTHORS
   M /trunk/txt-client/NEWS
   M /trunk/txt-client/QuickStart.GGZ
   M /trunk/txt-client/README.GGZ
   M /trunk/utils/AUTHORS
   M /trunk/utils/NEWS
   M /trunk/utils/README
   M /trunk/utils/README.GGZ

- update common files slightly, and synchronise them

[commit from josef@nada]


------------------------------------------------------------------------
r8945 | josef | 2007-01-16 18:42:57 +0100 (Di, 16 Jan 2007) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggzd/ggzdmod/Makefile.am
   M /trunk/ggzd/ggzdmod/ggzdmod.h
   M /trunk/ggzd/ggzdmod++/Makefile.am
   M /trunk/gtk-client/ggz-gtk/Makefile.am
   M /trunk/libggz/src/Makefile.am
   M /trunk/libggz/src/ggz.h

- bump libtool versions according to public API changes since 0.0.13

[commit from josef@nada]


------------------------------------------------------------------------
r8943 | josef | 2007-01-16 17:31:59 +0100 (Di, 16 Jan 2007) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggzd/ggzdmod/Doxyfile
   M /trunk/libggz/Doxyfile

- Doxyfile version updates

Unfortunately, ggzdmod++ isn't doxyfied and won't either before 0.0.14 :(

[commit from josef@nada]


------------------------------------------------------------------------
r8907 | oojah | 2007-01-14 15:37:42 +0100 (So, 14 Jan 2007) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/init.c

SIGPIPE is not available on mingw.
------------------------------------------------------------------------
r8888 | jdorje | 2007-01-10 03:28:31 +0100 (Mi, 10 Jan 2007) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

Clean up _ggzcore_net_new_element.
------------------------------------------------------------------------
r8866 | josef | 2007-01-08 14:52:27 +0100 (Mo, 08 Jan 2007) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzwrap/Makefile.am
   M /trunk/ggz-client-libs/tests/Makefile.am

- since we use libggz, we must use $(LIB_GGZ) and $(LIBGGZ_INCLUDES)

[commit from josef@nada]


------------------------------------------------------------------------
r8852 | josef | 2007-01-08 14:36:45 +0100 (Mo, 08 Jan 2007) | 9 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/gtk-client/autogen.sh
   M /trunk/gtk-games/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/autogen.sh
   M /trunk/libggz/autogen.sh
   M /trunk/sdl-games/autogen.sh
   M /trunk/txt-client/autogen.sh
   M /trunk/utils/autogen.sh

- do not assume that there's always a m4 directory available (in docs and python, there aren't)
- make it work for srcdir != builddir

For the latter, we could simplify the script a lot by changing into srcdir first.
But I'm sure we had a reason not to and I don't want to break it right now.

[commit from josef@nada]


------------------------------------------------------------------------
r8837 | josef | 2007-01-05 13:49:29 +0100 (Fr, 05 Jan 2007) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/man/ggzwrap.1

- use GGZMOD_DEFAULT_FD in ggzmod because without it the whole fallback doesn't make sense
- fix ggzwrap manpage: nice idea using it for servers, but that has never been implemented

[commit from josef@nada]


------------------------------------------------------------------------
r8831 | jdorje | 2007-01-05 01:51:25 +0100 (Fr, 05 Jan 2007) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-client-libs/m4
   D /trunk/ggz-client-libs/m4/ggz-debug.m4
   D /trunk/ggz-client-libs/m4/ggz.m4
   D /trunk/ggz-client-libs/m4/mkdir.m4
   D /trunk/ggz-client-libs/m4/system.m4

Use externals for common GGZ m4 files.
------------------------------------------------------------------------
r8812 | jdorje | 2007-01-04 23:42:34 +0100 (Do, 04 Jan 2007) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/Makefile.am

Distribute ggz script.
------------------------------------------------------------------------
r8810 | jdorje | 2007-01-04 22:11:55 +0100 (Do, 04 Jan 2007) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c

Fix comparison of character to string.
------------------------------------------------------------------------
r8804 | josef | 2007-01-04 13:42:49 +0100 (Do, 04 Jan 2007) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-client-libs/configure.ac

- no more m4 files in EXTRA_DIST

[commit from josef@nada]


------------------------------------------------------------------------
r8802 | josef | 2007-01-04 13:41:51 +0100 (Do, 04 Jan 2007) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- take --with-ggz-dir into account when using AC_GGZ_VERSION
- prepare ggz.m4 for aclocal installation (a new automake 1.10 feature)
- in ggz-client-libs, remove all m4 files from EXTRA_DIST and use aclocal's -I feature instead

[commit from josef@nada]


------------------------------------------------------------------------
r8778 | josef | 2007-01-02 13:11:34 +0100 (Di, 02 Jan 2007) | 9 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c

- run game executables from $PATH if not given as absolute pathnames

This differs from what ggzd does (which runs them from ggzd's module
directory instead). We should probably add the module directory on both
the client and the server to $PATH and then use execvp.

[commit from josef@nada]


------------------------------------------------------------------------
r8777 | josef | 2007-01-02 13:09:25 +0100 (Di, 02 Jan 2007) | 9 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- check if ggz-config ran correctly to avoid errors due to wrong LD_LIBRARY_PATH

Note that I had to forcefully remove libggzcore.so to make that happen as the
LD_LIBRARY_PATH setting is not needed on my system. So whoever came across it
shall now be happy again.

[commit from josef@nada]


------------------------------------------------------------------------
r8763 | jdorje | 2006-12-27 11:02:33 +0100 (Mi, 27 Dez 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/net.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggz-client-libs/ggzcore/player.c
   M /trunk/ggz-client-libs/ggzcore/player.h
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggzd/ggzd/net.c
   M /trunk/ggzd/ggzd/perms.c
   M /trunk/ggzd/ggzd/perms.h
   M /trunk/ggzd/ggzd/players.c
   M /trunk/ggzd/ggzd/players.h
   M /trunk/ggzd/ggzd/protocols.h
   M /trunk/ggzd/ggzd/room.c
   M /trunk/gtk-client/ggz-gtk/ggzclient.c
   M /trunk/gtk-client/ggz-gtk/playerlist.c

Add permissions administration.
------------------------------------------------------------------------
r8758 | jdorje | 2006-12-27 04:09:36 +0100 (Mi, 27 Dez 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

Fix incorrect C code.
------------------------------------------------------------------------
r8757 | jdorje | 2006-12-27 04:07:46 +0100 (Mi, 27 Dez 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

Clean up switch statements.
------------------------------------------------------------------------
r8753 | jdorje | 2006-12-25 03:59:16 +0100 (Mo, 25 Dez 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/tests/Makefile.am

Fix tests compilation (this should not be needed, but it is).
------------------------------------------------------------------------
r8747 | jdorje | 2006-12-24 10:18:47 +0100 (So, 24 Dez 2006) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggz-client-libs/ggzcore/player.c
   M /trunk/ggz-client-libs/ggzcore/player.h
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggzd/ggzd/net.c
   M /trunk/gtk-client/ggz-gtk/playerinfo.c
   M /trunk/libggz/src/ggz_common.c

Make permissions visible to the clients.

------------------------------------------------------------------------
r8725 | josef | 2006-12-13 16:42:32 +0100 (Mi, 13 Dez 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- sync forced ggz-config usage


------------------------------------------------------------------------
r8706 | jdorje | 2006-12-06 03:44:50 +0100 (Mi, 06 Dez 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c

Include <sys/time.h>.  This is apparently needed for compilation on some
systems.  See http://bugzilla.gnome.org/show_bug.cgi?id=381808.

------------------------------------------------------------------------
r8679 | josef | 2006-11-27 10:43:14 +0100 (Mo, 27 Nov 2006) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/init.c
   M /trunk/ggz-client-libs/ggzcore/module.c

- try to detect corrupt module registries instead of segfaulting
- report error from ggzcore_init()

No core client actually checks if ggzcore_init() succeed because before the change it
always did! Core clients should display an error message at least.


------------------------------------------------------------------------
r8678 | josef | 2006-11-27 10:41:30 +0100 (Mo, 27 Nov 2006) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- fix deletion of backward-unreferenced sections

The former behaviour was not critical, but it might have required several
ggz-config --check runs. Now a single run really fixes corrupt module
registries.


------------------------------------------------------------------------
r8671 | josef | 2006-11-23 20:13:48 +0100 (Do, 23 Nov 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzwrap/ggzwrap.c

- hopeless attempt to make it compile on windows (bug report by Peter Schwanemann)


------------------------------------------------------------------------
r8670 | josef | 2006-11-23 10:00:49 +0100 (Do, 23 Nov 2006) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/Makefile.am
   A /trunk/ggz-client-libs/ggz-wrapper/README.wrapper
   A /trunk/ggz-client-libs/ggz-wrapper/ggz
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzwrap/Makefile.am
   A /trunk/ggz-client-libs/ggzwrap/README.wrap
   M /trunk/ggz-client-libs/man/Makefile.am
   A /trunk/ggz-client-libs/man/ggz.6
   M /trunk/ggz-client-libs/man/ggz.7
   M /trunk/ggz-client-libs/tests/Makefile.am

- new generic 'ggz' script which automatically launches the right core client
- some explanation about ggzwrap and ggz-wrapper
- makefile changes so things compile and install properly


------------------------------------------------------------------------
r8651 | josef | 2006-11-09 07:47:54 +0100 (Do, 09 Nov 2006) | 8 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/gnome-client/m4/system.m4
   M /trunk/gnome-client/motd-editor/Makefile.am
   M /trunk/gnome-client/src/Makefile.am
   M /trunk/grubby/games/guru-chess/Makefile.am
   M /trunk/grubby/grubby/src/Makefile.am
   M /trunk/grubby/m4/system.m4
   M /trunk/gtk-client/ggz-gtk/Makefile.am
   M /trunk/gtk-client/m4/system.m4
   M /trunk/gtk-client/src/Makefile.am
   M /trunk/gtk-games/m4/system.m4
   M /trunk/gtk-games/spades/Makefile.am
   M /trunk/kde-client/m4/system.m4
   M /trunk/kde-games/m4/system.m4
   M /trunk/sdl-games/m4/system.m4
   M /trunk/txt-client/ggz-txt/Makefile.am
   M /trunk/txt-client/m4/system.m4
   M /trunk/utils/m4/system.m4

- propagate the LIB_* changes in system.m4 to all modules
- always use LIB_GETTEXT if i18n functions are called

Now there are both INTLLIBS and LIB_GETTEXT in the gtk+ modules. This seems to be odd.

[commit from josef@armada]


------------------------------------------------------------------------
r8648 | josef | 2006-11-09 01:37:33 +0100 (Do, 09 Nov 2006) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am
   M /trunk/ggz-client-libs/ggz-wrapper/Makefile.am
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/m4/system.m4
   M /trunk/ggz-client-libs/tests/Makefile.am

- explicit usage of all libraries in system.m4 (gettext and pthreads)

[commit from josef@armada]


------------------------------------------------------------------------
r8622 | josef | 2006-10-10 17:22:07 +0200 (Di, 10 Okt 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs

- ignore the 'compile' file


------------------------------------------------------------------------
r8607 | jdorje | 2006-10-02 23:36:27 +0200 (Mo, 02 Okt 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Josef forgot to propogate the ggz.m4 changes.
------------------------------------------------------------------------
r8590 | jdorje | 2006-09-21 22:25:23 +0200 (Do, 21 Sep 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am

Fix directories for ggz-config.
------------------------------------------------------------------------
r8588 | jdorje | 2006-09-20 05:56:35 +0200 (Mi, 20 Sep 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzwrap/Makefile.am

Move directory definitions to Makefiles.
------------------------------------------------------------------------
r8587 | jdorje | 2006-09-20 04:15:08 +0200 (Mi, 20 Sep 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Add AC_GGZ_CHECK_SERVER macro.
------------------------------------------------------------------------
r8585 | jdorje | 2006-09-20 03:06:19 +0200 (Mi, 20 Sep 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod-ggz/Makefile.am

Add a conditional for easy importing of the library.
------------------------------------------------------------------------
r8584 | jdorje | 2006-09-20 00:02:49 +0200 (Mi, 20 Sep 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/Makefile.am

Use relative paths to directories.
------------------------------------------------------------------------
r8583 | jdorje | 2006-09-19 17:26:31 +0200 (Di, 19 Sep 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/grubby/src/Makefile.am
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/gaim-plugin/Makefile.am
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/ggz-txt/Makefile.am
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4
   M /trunk/utils/metaserv/metaserv/Makefile.am

Don't define PREFIX in config.h, as this makes it impossible to change
the prefix at compile time (as per GNU standards).

------------------------------------------------------------------------
r8567 | jdorje | 2006-09-03 07:35:12 +0200 (So, 03 Sep 2006) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggz-config/Makefile.am
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/m4/ggz.m4
   A /trunk/ggz-client-libs/m4/system.m4
   M /trunk/ggzd/configure.ac
   M /trunk/ggzd/game_servers/chess/game.c
   M /trunk/ggzd/game_servers/dots/game.c
   M /trunk/ggzd/game_servers/keepalive/src/player.cpp
   M /trunk/ggzd/game_servers/keepalive/src/world.cpp
   M /trunk/ggzd/game_servers/tictactoe/game.c
   M /trunk/ggzd/ggzd/Makefile.am
   M /trunk/ggzd/ggzd/ggzduedit.c
   M /trunk/ggzd/ggzd/parse_opt.c
   M /trunk/ggzd/ggzdmod/ggzdmod.c
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/Makefile.am
   M /trunk/gtk-games/m4/ggz.m4
   A /trunk/gtk-games/m4/system.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Fix problems with substitution of prefixes.  This also resynchronizes the
ggz.m4 files and removes the obsolete AC_GGZ_UNQUOTEDPATH macro.  The new
code conforms to GNU standards as the prefix may be changed at compile time;
see the autoconf manual for details.

------------------------------------------------------------------------
r8547 | jdorje | 2006-08-28 04:11:50 +0200 (Mo, 28 Aug 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggzd/ggzd/players.c
   M /trunk/libggz/src/ggz_common.c
   M /trunk/libggz/src/ggz_common.h

Revert previous gag 'fix' - apparently gagging did work all along, it just
didn't work the way I thought it was supposed to.

------------------------------------------------------------------------
r8544 | jdorje | 2006-08-27 21:21:24 +0200 (So, 27 Aug 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggzd/ggzd/players.c
   M /trunk/gtk-games/ggzcards/main.c
   M /trunk/kde-client/ggz-kde/ggzcore++/src/GGZCoreRoom.cpp
   M /trunk/kde-client/ggz-kde/ggzcore++/src/GGZCoreRoom.h
   M /trunk/kde-client/ggz-kde/ggzcore++/src/GGZCoreServer.cpp
   M /trunk/kde-client/ggz-kde/ggzcore++/src/GGZCoreServer.h
   M /trunk/kde-client/ggz-kde/src/KGGZ.cpp
   M /trunk/libggz/src/ggz_common.c
   M /trunk/libggz/src/ggz_common.h

Fix gagging.  It only applies to normal chats.
------------------------------------------------------------------------
r8536 | jdorje | 2006-08-26 05:20:06 +0200 (Sa, 26 Aug 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h

Remove duplicate const.
------------------------------------------------------------------------
r8534 | jdorje | 2006-08-26 03:28:34 +0200 (Sa, 26 Aug 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/server.c

Fix usage of ggzcore_server_join_room.
------------------------------------------------------------------------
r8533 | jdorje | 2006-08-26 03:26:29 +0200 (Sa, 26 Aug 2006) | 8 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzcore/room.h
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzcore/server.h
   M /trunk/ggz-client-libs/ggzcore/table.c
   M /trunk/gtk-client/ggz-gtk/chat.c
   M /trunk/gtk-client/ggz-gtk/chat.h
   M /trunk/gtk-client/ggz-gtk/ggzclient.c
   M /trunk/gtk-client/ggz-gtk/roomlist.c
   M /trunk/gtk-client/ggz-gtk/roomlist.h

Conceal the room ID from the ggzcore interface.  The core client now need not
concern itself with ID information.  The ggzcore_room_get_id and
ggzcore_room_init functions are removed completely.  Several event parameters
are changed to pass rooms by pointer rather than by ID.
ggzcore_server_join_room is changed so that it takes a room pointer rather
than an id/number value.  A new function, ggzcore_server_get_room_num, is
added that allows the recovery of the room number of a particular room.

------------------------------------------------------------------------
r8528 | josef | 2006-08-21 10:10:30 +0200 (Mo, 21 Aug 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

- unquote all paths


------------------------------------------------------------------------
r8475 | josef | 2006-08-05 12:13:13 +0200 (Sa, 05 Aug 2006) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

- handle admin result

FIXME: it would need its own ggzcore callback to implement it properly


------------------------------------------------------------------------
r8469 | josef | 2006-08-04 15:27:21 +0200 (Fr, 04 Aug 2006) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/net.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzcore/room.h

- ability to send out admin commands to the server

A lot of FIXMEs come with this, but some also apply to existing chat commands,
so I'll get back to them later.


------------------------------------------------------------------------
r8452 | jdorje | 2006-08-01 21:53:36 +0200 (Di, 01 Aug 2006) | 2 lines
Geänderte Pfade:
   M /trunk/docs/games/ggz-games/Makefile.am
   M /trunk/docs/games/ggz-games/tictactoe/Makefile.am
   M /trunk/docs/spec/mainspec/Makefile.am
   M /trunk/ggz-client-libs/po/Makefile.am
   M /trunk/ggz-client-libs/po/ggzcore/Makefile.am
   M /trunk/ggzd/game_servers/chess/ai-gnuchess.c
   M /trunk/ggzd/game_servers/chess/ai-gnuchess.h
   M /trunk/ggzd/game_servers/tictactoe/ttt-ai.c
   M /trunk/ggzd/game_servers/tictactoe/ttt-ai.h
   M /trunk/ggzd/ggzd/meta/Makefile.am
   M /trunk/ggzd/ggzd/meta/meta.c
   M /trunk/ggzd/ggzd/meta/meta.h
   M /trunk/ggzd/ggzd/meta/minidom.c
   M /trunk/ggzd/ggzd/meta/minidom.h
   M /trunk/ggzd/ggzd/meta/uri.c
   M /trunk/ggzd/ggzd/meta/uri.h
   M /trunk/ggzd/ggzd/reconfiguration.h
   M /trunk/ggzd/ggzdmod++/Makefile.am
   M /trunk/ggzd/ggzdmod++/ggzgameserver.h
   M /trunk/ggzd/ggzdmod++/mnet.h
   M /trunk/ggzd/ggzdmod++/net.h
   M /trunk/gnome-client/man/Makefile.am
   M /trunk/gtk-client/ggz-gtk/ggz-embed.h
   M /trunk/gtk-client/ggz-gtk/ggz-gtk.h
   M /trunk/kde-games/lib/kggzmodule.h
   M /trunk/kde-games/lib/kggzseatsdialog.h
   M /trunk/libggz/src/ggz_dio.c
   M /trunk/libggz/src/ggz_dio.h
   M /trunk/libggz/src/security/base16.c
   M /trunk/libggz/src/security/base16.h
   M /trunk/playground/ggz-ruby/ai-ttt/ruttt-ai.c
   M /trunk/playground/ggz-ruby/ai-ttt/ttt-ai.c
   M /trunk/playground/ggz-ruby/ai-ttt/ttt-ai.h
   M /trunk/playground/server/async/gai_a.c
   M /trunk/playground/server/async/ggzresolver.c
   M /trunk/playground/server/coregen/proto.c
   M /trunk/utils/metaserv/libmeta/Makefile.am
   M /trunk/utils/metaserv/libmeta/meta.c
   M /trunk/utils/metaserv/libmeta/meta.h
   M /trunk/utils/metaserv/libmeta/minidom.c
   M /trunk/utils/metaserv/libmeta/minidom.h
   M /trunk/utils/metaserv/libmeta/uri.c
   M /trunk/utils/metaserv/libmeta/uri.h

Enable keyword substitution for all .c, .h, .ac, and .am files.

------------------------------------------------------------------------
r8412 | jdorje | 2006-07-28 02:48:14 +0200 (Fr, 28 Jul 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Extensions to AC_GGZ_VERSION.
------------------------------------------------------------------------
r8408 | jdorje | 2006-07-27 18:03:22 +0200 (Do, 27 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

* Bump version to 0.0.14pre.
* Require libggz version 0.0.14.

------------------------------------------------------------------------
r8384 | josef | 2006-07-22 09:10:16 +0200 (Sa, 22 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- make it possible to detect GGZ > 0.0.13


------------------------------------------------------------------------
r8372 | josef | 2006-07-19 13:40:53 +0200 (Mi, 19 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzcore/init.c

- do not die on SIGPIPE; instead inform the core client


------------------------------------------------------------------------
r8359 | jdorje | 2006-07-13 22:34:20 +0200 (Do, 13 Jul 2006) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c

Quick fix - count oursevles as a player on the server even if we aren't in a
room. However this leaves some problems in player counting because room
changes aren't atomic - switching rooms causes the number of players to drop
for a moment while you are between rooms.

------------------------------------------------------------------------
r8348 | jdorje | 2006-07-10 11:56:05 +0200 (Mo, 10 Jul 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

Escape seat name.
------------------------------------------------------------------------
r8324 | josef | 2006-07-05 21:28:05 +0200 (Mi, 05 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am

- put the readme file into extradist


------------------------------------------------------------------------
r8323 | josef | 2006-07-05 21:03:58 +0200 (Mi, 05 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- those two should be translated as well (they're seen in binary package installations)


------------------------------------------------------------------------
r8322 | josef | 2006-07-05 16:55:18 +0200 (Mi, 05 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggzd/ggzd/login.c
   M /trunk/libggz/src/ggz_common.c
   M /trunk/libggz/src/ggz_common.h

- divide name already taken error from wrong password error


------------------------------------------------------------------------
r8304 | josef | 2006-07-03 17:36:05 +0200 (Mo, 03 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/po/ggzcore/de.po
   M /trunk/ggz-client-libs/po/ggzcore/ggzcore.pot

- translation update for error message texts


------------------------------------------------------------------------
r8303 | oojah | 2006-07-03 17:27:22 +0200 (Mo, 03 Jul 2006) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c

Clearer error message.

------------------------------------------------------------------------
r8302 | josef | 2006-07-03 15:53:12 +0200 (Mo, 03 Jul 2006) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggzd/ggzd/login.c
   M /trunk/libggz/src/ggz_common.c
   M /trunk/libggz/src/ggz_common.h

- two more login failure types

All core clients need updating. The Linux core clients will get messages
automatically but still treat them as "unknown errors".


------------------------------------------------------------------------
r8300 | josef | 2006-07-03 09:45:15 +0200 (Mo, 03 Jul 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.h

- the missing file descriptor selection stuff


------------------------------------------------------------------------
r8283 | josef | 2006-06-27 09:45:52 +0200 (Di, 27 Jun 2006) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/ggz-wrapper.c

[leftover commit]

- make live.g.o the default server, developers can write 127.0.0.1 into their config box


------------------------------------------------------------------------
r8281 | josef | 2006-06-27 09:42:38 +0200 (Di, 27 Jun 2006) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c
   M /trunk/ggz-client-libs/ggz-config/readme.ggzconfig

[leftover commit]

- no --force for removal needed
- some makefile.am cleanup


------------------------------------------------------------------------
r8278 | josef | 2006-06-27 09:28:12 +0200 (Di, 27 Jun 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- sync all m4 files to get multiple-level unquoting of shell variables


------------------------------------------------------------------------
r8265 | jdorje | 2006-06-24 10:22:26 +0200 (Sa, 24 Jun 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/state.c

Log an error if an invalid transition is triggered.
------------------------------------------------------------------------
r8234 | jdorje | 2006-06-20 22:17:06 +0200 (Di, 20 Jun 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

Don't send NULL language.
------------------------------------------------------------------------
r8230 | jdorje | 2006-06-20 17:18:04 +0200 (Di, 20 Jun 2006) | 8 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

- Drop CDATA chunks, as all we're sending is text and all we have to do
  is escape it to send it normally.
- Drop unescape() calls.

The way expat works is that we have to do the escaping but expat will
automatically unescape any incoming text.  Thus ggz_xml_unescape() should
never actually be used with expat.

------------------------------------------------------------------------
r8183 | jdorje | 2006-06-13 01:15:12 +0200 (Di, 13 Jun 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/player.c

Don't crash when a player has no name.
------------------------------------------------------------------------
r8182 | jdorje | 2006-06-13 01:02:39 +0200 (Di, 13 Jun 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Updated function documentation.
------------------------------------------------------------------------
r8119 | jdorje | 2006-06-07 09:23:30 +0200 (Mi, 07 Jun 2006) | 10 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Add previously missing function ggzmod_is_ggz_mode.  This returns TRUE if
the program is being run in GGZ mode (as determined by environment variables).
With this function a program can determine if it should exit with an error or
if it should run in non-ggz mode.

One problem is that with embedded GGZ, once the embedded GGZ begins GGZ mode
is entered and is not left.  This is probably a bug elsewhere in ggzmod.  It's
not clear in this case whether the ggz mode environment variable should be
left unset, or if it should be cleared when embedded GGZ is complete.

------------------------------------------------------------------------
r8116 | jdorje | 2006-06-07 04:34:17 +0200 (Mi, 07 Jun 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

Remove redundant conditional.
------------------------------------------------------------------------
r8106 | josef | 2006-06-06 09:38:18 +0200 (Di, 06 Jun 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/TODO
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzcore/server.h

- implementation of room removals


------------------------------------------------------------------------
r8105 | josef | 2006-06-06 09:37:15 +0200 (Di, 06 Jun 2006) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/Makefile.am
   M /trunk/ggz-client-libs/man/ggz-config.6.in
   M /trunk/ggz-client-libs/man/ggz-wrapper.6
   A /trunk/ggz-client-libs/man/ggz.7
   M /trunk/ggz-client-libs/man/ggz.modules.5.in
   M /trunk/ggz-client-libs/man/ggzwrap.1
   M /trunk/ggzd/man/ggzd.6
   M /trunk/ggzd/man/ggzduedit.6
   M /trunk/grubby/man/grubby-config.1
   M /trunk/grubby/man/grubby.6
   M /trunk/txt-client/man/ggz-txt.6

- a whole lot of manpage updates, keeping up with the new times
- new generic 'ggz' manpage for those who will try to look it up cluelessly


------------------------------------------------------------------------
r8103 | jdorje | 2006-06-06 07:16:07 +0200 (Di, 06 Jun 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac

Provide a --disable-ggzwrap configure option (needed since ggzwrap will not
compile on windows).

------------------------------------------------------------------------
r8102 | jdorje | 2006-06-06 06:18:08 +0200 (Di, 06 Jun 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

Mark functions as static.
------------------------------------------------------------------------
r8083 | josef | 2006-05-30 15:01:39 +0200 (Di, 30 Mai 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

- exec_prefix adaptation (it will never be NONE after AC_GGZ_INIT)


------------------------------------------------------------------------
r8081 | josef | 2006-05-30 14:59:51 +0200 (Di, 30 Mai 2006) | 8 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- prefix searching fix: always un-expand the default variables before using them

The core of the problem is that make resolves recursively defined variables just
fine, e.g. libdir=${exec_prefix}/lib with exec_prefix=${prefix}, whereas shell
code only substitutes once! Therefore, we trick with the evil eval command...
and --libdir=/usr/lib64 doesn't break the prefix search anymore.


------------------------------------------------------------------------
r8072 | josef | 2006-05-29 09:36:46 +0200 (Mo, 29 Mai 2006) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzcore/room.h
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzcore/server.h

- new event GGZ_SERVER_ROOMS_CHANGED, just like GGZ_SERVER_PLAYERS_CHANGED
- make room array expandable
- queryable 'closed' status of rooms
- several cosmetic changes like empty lines containing tabs removed


------------------------------------------------------------------------
r8046 | josef | 2006-05-22 08:51:28 +0200 (Mo, 22 Mai 2006) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

[openSUSE]

- attempt to let GGZ take advantage of pure 64-bit systems: support (/usr)/lib64
- define a dummy GGZMODULECONFDIR even in the absence of ggz-config
- synchronisation of ggz.m4


------------------------------------------------------------------------
r7989 | josef | 2006-04-03 14:42:56 +0200 (Mo, 03 Apr 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- more spelling fixes


------------------------------------------------------------------------
r7968 | josef | 2006-03-22 12:13:29 +0100 (Mi, 22 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- small doc fixes


------------------------------------------------------------------------
r7945 | josef | 2006-03-16 16:24:16 +0100 (Do, 16 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggzd/ggzdmod/Doxyfile
   M /trunk/libggz/Doxyfile

- doxygen version bump


------------------------------------------------------------------------
r7942 | josef | 2006-03-16 16:15:01 +0100 (Do, 16 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/community/ChangeLog
   M /trunk/docs/ChangeLog
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggzd/ChangeLog
   M /trunk/gnome-client/ChangeLog
   M /trunk/grubby/ChangeLog
   M /trunk/gtk-client/ChangeLog
   M /trunk/gtk-games/ChangeLog
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/ChangeLog
   M /trunk/libggz/ChangeLog
   M /trunk/python/ChangeLog
   M /trunk/sdl-games/ChangeLog
   M /trunk/txt-client/ChangeLog
   M /trunk/utils/ChangeLog

- global changelog updates for 0.0.13 (boy have we been lazy this time!)


------------------------------------------------------------------------
r7939 | josef | 2006-03-16 15:33:16 +0100 (Do, 16 Mär 2006) | 8 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/hook.c

[the 0.0.13 crash police]

- do not crash if hook list is NULL

It should never be NULL, I suspect ggz-gtk to handle disconnection in the case
of protocol errors wrong, but the fix prevents the crash at least.


------------------------------------------------------------------------
r7927 | josef | 2006-03-15 14:07:26 +0100 (Mi, 15 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am

- TODO and HACKING were no more


------------------------------------------------------------------------
r7912 | josef | 2006-03-14 14:54:27 +0100 (Di, 14 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/README
   M /trunk/gnome-client/README
   M /trunk/grubby/README
   M /trunk/gtk-client/README
   M /trunk/gtk-games/README
   M /trunk/kde-client/README
   M /trunk/kde-games/README
   M /trunk/python/README
   M /trunk/sdl-games/README
   M /trunk/utils/README

- version bumping in the README files


------------------------------------------------------------------------
r7911 | josef | 2006-03-14 14:53:58 +0100 (Di, 14 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/docs/QuickStart.GGZ
   M /trunk/docs/autogen.sh
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/QuickStart.GGZ
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/autogen.sh
   M /trunk/gtk-games/QuickStart.GGZ
   M /trunk/gtk-games/autogen.sh
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/autogen.sh
   M /trunk/python/QuickStart.GGZ
   M /trunk/sdl-games/QuickStart.GGZ
   M /trunk/sdl-games/autogen.sh
   M /trunk/txt-client/QuickStart.GGZ
   M /trunk/txt-client/autogen.sh
   M /trunk/utils/autogen.sh

- more synchronisation of common files (must be a boring day...)


------------------------------------------------------------------------
r7909 | josef | 2006-03-14 14:50:27 +0100 (Di, 14 Mär 2006) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c

- library interface version bump
- send all things xml-escaped


------------------------------------------------------------------------
r7908 | josef | 2006-03-14 14:49:36 +0100 (Di, 14 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- library interface version bump


------------------------------------------------------------------------
r7905 | josef | 2006-03-14 14:47:11 +0100 (Di, 14 Mär 2006) | 4 lines
Geänderte Pfade:
   M /trunk/docs/AUTHORS
   M /trunk/docs/NEWS
   M /trunk/docs/README.GGZ
   M /trunk/ggz-client-libs/AUTHORS
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggzd/AUTHORS
   M /trunk/ggzd/NEWS
   M /trunk/ggzd/README.GGZ
   M /trunk/gnome-client/AUTHORS
   M /trunk/gnome-client/NEWS
   M /trunk/gnome-client/README.GGZ
   M /trunk/grubby/AUTHORS
   M /trunk/grubby/NEWS
   M /trunk/grubby/README.GGZ
   M /trunk/gtk-client/AUTHORS
   M /trunk/gtk-client/NEWS
   M /trunk/gtk-client/README.GGZ
   M /trunk/gtk-games/AUTHORS
   M /trunk/gtk-games/NEWS
   M /trunk/gtk-games/README.GGZ
   A /trunk/java/AUTHORS
   A /trunk/java/NEWS
   A /trunk/java/README.GGZ
   M /trunk/kde-client/AUTHORS
   M /trunk/kde-client/NEWS
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-games/AUTHORS
   M /trunk/kde-games/NEWS
   M /trunk/kde-games/README.GGZ
   M /trunk/libggz/NEWS
   M /trunk/python/AUTHORS
   M /trunk/python/NEWS
   M /trunk/python/README.GGZ
   M /trunk/sdl-games/AUTHORS
   M /trunk/sdl-games/NEWS
   M /trunk/sdl-games/README.GGZ
   M /trunk/txt-client/AUTHORS
   M /trunk/txt-client/NEWS
   M /trunk/txt-client/README.GGZ
   M /trunk/utils/AUTHORS
   M /trunk/utils/NEWS
   M /trunk/utils/README.GGZ

- sync all common files from libggz (README.GGZ, AUTHORS)
- updated NEWS file for the upcoming 0.0.13 release


------------------------------------------------------------------------
r7903 | josef | 2006-03-14 14:45:48 +0100 (Di, 14 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/docs/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/configure.ac
   M /trunk/gtk-games/configure.ac
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/configure.ac
   M /trunk/sdl-games/configure.ac
   M /trunk/txt-client/configure.ac
   M /trunk/utils/configure.ac

- bump all package numbers to 0.0.13 already


------------------------------------------------------------------------
r7899 | josef | 2006-03-08 07:49:02 +0100 (Mi, 08 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/netxml.c

- always quote CDATA strings, like chat text, user name, password and email


------------------------------------------------------------------------
r7889 | josef | 2006-03-07 10:57:32 +0100 (Di, 07 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/conf.c
   M /trunk/ggz-client-libs/ggzcore/conf.h
   M /trunk/ggz-client-libs/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzcore/game.h
   M /trunk/ggz-client-libs/ggzcore/gametype.c
   M /trunk/ggz-client-libs/ggzcore/gametype.h
   M /trunk/ggz-client-libs/ggzcore/ggzcore-ggz.h
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/hook.c
   M /trunk/ggz-client-libs/ggzcore/hook.h
   M /trunk/ggz-client-libs/ggzcore/init.c
   M /trunk/ggz-client-libs/ggzcore/module.c
   M /trunk/ggz-client-libs/ggzcore/module.h
   M /trunk/ggz-client-libs/ggzcore/net.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggz-client-libs/ggzcore/player.c
   M /trunk/ggz-client-libs/ggzcore/player.h
   M /trunk/ggz-client-libs/ggzcore/protocol.h
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzcore/room.h
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzcore/server.h
   M /trunk/ggz-client-libs/ggzcore/state.c
   M /trunk/ggz-client-libs/ggzcore/state.h
   M /trunk/ggz-client-libs/ggzcore/table.c
   M /trunk/ggz-client-libs/ggzcore/table.h
   M /trunk/ggz-client-libs/ggzcore/user.c
   M /trunk/ggz-client-libs/ggzcore/user.h

- licence texts in sources clarified to be LGPL


------------------------------------------------------------------------
r7888 | josef | 2006-03-07 10:57:17 +0100 (Di, 07 Mär 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

- licence texts in sources clarified to be LGPL


------------------------------------------------------------------------
r7868 | josef | 2006-02-13 08:09:22 +0100 (Mo, 13 Feb 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/po/ggz-config/de.po
   M /trunk/ggz-client-libs/po/ggz-config/ggz-config.pot
   M /trunk/ggz-client-libs/po/ggzcore/de.po
   M /trunk/ggz-client-libs/po/ggzcore/ggzcore.pot

- translation update (mostly just line numbers that changes)


------------------------------------------------------------------------
r7867 | josef | 2006-02-13 08:07:40 +0100 (Mo, 13 Feb 2006) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/TODO
   M /trunk/ggz-client-libs/ggzcore/netxml.c

- always send login name, email address and password as CDATA

Of course, this is still not a clean way of letting such data be
automatically escaped! Using libxml or something such in the future
is advisable.


------------------------------------------------------------------------
r7866 | josef | 2006-02-13 08:06:33 +0100 (Mo, 13 Feb 2006) | 3 lines
Geänderte Pfade:
   D /trunk/ggz-client-libs/TODO

- remove TODO file, it only contained the roadmap


------------------------------------------------------------------------
r7846 | josef | 2006-02-08 18:49:09 +0100 (Mi, 08 Feb 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c

- implement E_BAD_USERNAME (and E_BAD_OPTIONS was missing, too!)


------------------------------------------------------------------------
r7799 | jdorje | 2006-01-20 09:45:48 +0100 (Fr, 20 Jan 2006) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/room.c

Fix a bug in _ggzcore_room_add_player causing player rating, ranking, and
highscore to be incorrectly initialized.  The end result is only the record
is correctly displayed after one player sees another enter a room.

------------------------------------------------------------------------
r7792 | jdorje | 2006-01-17 22:53:50 +0100 (Di, 17 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/game.c

Send stats to ggzmod.
------------------------------------------------------------------------
r7791 | jdorje | 2006-01-17 22:28:15 +0100 (Di, 17 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Fix triggering of GGZMOD_EVENT_STATS.
------------------------------------------------------------------------
r7790 | jdorje | 2006-01-17 22:26:35 +0100 (Di, 17 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c

Fix check in ggzmod_ggz_set_stats.
------------------------------------------------------------------------
r7789 | jdorje | 2006-01-17 19:27:45 +0100 (Di, 17 Jan 2006) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzcore/game.h
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzcore/table.c

Revert r7784: "Change room and table data in the game structure into
pointers."

------------------------------------------------------------------------
r7788 | jdorje | 2006-01-17 19:19:37 +0100 (Di, 17 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Fix bugs in stats query functions.
------------------------------------------------------------------------
r7787 | jdorje | 2006-01-17 19:15:48 +0100 (Di, 17 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Fix memory allocation problems with infos lists.
------------------------------------------------------------------------
r7786 | jdorje | 2006-01-17 19:08:54 +0100 (Di, 17 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Fix stats memory problems.
------------------------------------------------------------------------
r7784 | jdorje | 2006-01-16 09:25:55 +0100 (Mo, 16 Jan 2006) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzcore/game.h
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzcore/table.c

Change room and table data in the game structure into pointers.

------------------------------------------------------------------------
r7782 | jdorje | 2006-01-14 06:29:03 +0100 (Sa, 14 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Fix AM_CONDITIONAL problem.
------------------------------------------------------------------------
r7762 | jdorje | 2006-01-11 08:00:16 +0100 (Mi, 11 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

ggz-gtk support in ggz.m4.
------------------------------------------------------------------------
r7716 | jdorje | 2006-01-03 02:33:39 +0100 (Di, 03 Jan 2006) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/po/ggz-config
   M /trunk/ggz-client-libs/po/ggzcore

svn:ignore
------------------------------------------------------------------------
r7715 | jdorje | 2006-01-03 02:32:15 +0100 (Di, 03 Jan 2006) | 1 line
Geänderte Pfade:
   A /trunk/ggz-client-libs/po/Makefile.am

Allow ggz-client-libs to compile again.
------------------------------------------------------------------------
r7712 | josef | 2006-01-02 17:45:48 +0100 (Mo, 02 Jan 2006) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/init.c
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzcore/server.h
   D /trunk/ggz-client-libs/po/Makefile.am
   D /trunk/ggz-client-libs/po/de.po
   A /trunk/ggz-client-libs/po/ggz-config
   A /trunk/ggz-client-libs/po/ggz-config/Makefile.am (von /trunk/ggz-client-libs/po/Makefile.am:7671)
   A /trunk/ggz-client-libs/po/ggz-config/de.po (von /trunk/ggz-client-libs/po/de.po:7707)
   A /trunk/ggz-client-libs/po/ggz-config/ggz-config.pot (von /trunk/ggz-client-libs/po/ggz-config.pot:7707)
   D /trunk/ggz-client-libs/po/ggz-config.pot
   A /trunk/ggz-client-libs/po/ggzcore
   A /trunk/ggz-client-libs/po/ggzcore/Makefile.am
   A /trunk/ggz-client-libs/po/ggzcore/de.po
   A /trunk/ggz-client-libs/po/ggzcore/ggzcore.pot

- support for GAI_a (asynchronous host lookups) with a callback
  [EXPERIMENTAL!]
- support for translated ggzcore messages
  (happens automatically via catalog preloading in ggzcore_init())


------------------------------------------------------------------------
r7707 | josef | 2005-12-29 12:54:12 +0100 (Do, 29 Dez 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/po/de.po
   M /trunk/ggz-client-libs/po/ggz-config.pot

- translation updates


------------------------------------------------------------------------
r7706 | josef | 2005-12-29 12:53:46 +0100 (Do, 29 Dez 2005) | 3 lines
Geänderte Pfade:
   D /trunk/ggz-client-libs/HACKING

- remove obsolete HACKING file


------------------------------------------------------------------------
r7703 | josef | 2005-12-29 12:51:15 +0100 (Do, 29 Dez 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/readme.ggzconfig

- improved ggz-config documentation


------------------------------------------------------------------------
r7702 | josef | 2005-12-29 12:50:22 +0100 (Do, 29 Dez 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/Makefile.am
   A /trunk/ggz-client-libs/man/ggzwrap.1 (von /trunk/kde-games/man/ggzwrap.1:7659)

- ggzwrap manpage lives here now


------------------------------------------------------------------------
r7690 | josef | 2005-12-29 12:31:27 +0100 (Do, 29 Dez 2005) | 4 lines
Geänderte Pfade:
   M /trunk/docs/README.GGZ
   M /trunk/docs/autogen.sh
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggz-client-libs/m4/i18n.mk
   M /trunk/ggzd/README.GGZ
   M /trunk/ggzd/autogen.sh
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/README.GGZ
   M /trunk/gnome-client/autogen.sh
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/gnome-client/m4/i18n.mk
   M /trunk/grubby/README.GGZ
   M /trunk/grubby/autogen.sh
   M /trunk/grubby/m4/ggz.m4
   M /trunk/grubby/m4/i18n.mk
   M /trunk/gtk-client/README.GGZ
   M /trunk/gtk-client/autogen.sh
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-client/m4/i18n.mk
   M /trunk/gtk-games/README.GGZ
   M /trunk/gtk-games/autogen.sh
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/gtk-games/m4/i18n.mk
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/README.GGZ
   M /trunk/kde-games/autogen.sh
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/README.GGZ
   M /trunk/libggz/autogen.sh
   M /trunk/libggz/m4/ggz.m4
   M /trunk/python/README.GGZ
   M /trunk/sdl-games/README.GGZ
   M /trunk/sdl-games/autogen.sh
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/README.GGZ
   M /trunk/txt-client/autogen.sh
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/txt-client/m4/i18n.mk
   M /trunk/utils/README.GGZ
   M /trunk/utils/autogen.sh
   M /trunk/utils/m4/ggz.m4

- synchronisation of all globally used files
- in the future, README.GGZ should be even more generic!


------------------------------------------------------------------------
r7683 | jdorje | 2005-12-29 02:35:10 +0100 (Do, 29 Dez 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzcore/server.h

Add missing ggzcore function ggzcore_server_get_player.

------------------------------------------------------------------------
r7678 | jdorje | 2005-12-22 18:28:06 +0100 (Do, 22 Dez 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

Avoid some memory leaks and unnecessary allocation in ggz-config.

------------------------------------------------------------------------
r7675 | josef | 2005-12-16 13:59:15 +0100 (Fr, 16 Dez 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzwrap/Makefile.am

- make ggzwrap compile after the move


------------------------------------------------------------------------
r7672 | josef | 2005-12-16 13:44:18 +0100 (Fr, 16 Dez 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   A /trunk/ggz-client-libs/ggzwrap (von /trunk/kde-games/muehle/src/ggzwrap:7659)
   D /trunk/ggz-client-libs/ggzwrap/.cvsignore
   M /trunk/ggz-client-libs/ggzwrap/Makefile.am

- moving ggzwrap to ggz-client-libs so Java games can easily depend on it


------------------------------------------------------------------------
r7665 | jdorje | 2005-12-13 01:35:51 +0100 (Di, 13 Dez 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c
   M /trunk/ggzd/ggzd/util.c
   M /trunk/libggz/src/ggz.h
   M /trunk/libggz/src/misc.c

Move make_path and mkdirectory into libggz, and rename as ggz_make_path.

------------------------------------------------------------------------
r7664 | jdorje | 2005-12-13 00:45:48 +0100 (Di, 13 Dez 2005) | 1 line
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c

Fix problems with alarm.
------------------------------------------------------------------------
r7662 | jdorje | 2005-12-13 00:37:08 +0100 (Di, 13 Dez 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c
   A /trunk/ggz-client-libs/m4/mkdir.m4

Fix problems with dirent and mkdir on windows.

------------------------------------------------------------------------
r7660 | josef | 2005-12-12 12:54:49 +0100 (Mo, 12 Dez 2005) | 5 lines
Geänderte Pfade:
   M /trunk/community/web/articles
   M /trunk/community/web/common
   M /trunk/community/web/map
   D /trunk/docs/.cvsignore
   D /trunk/docs/articles/.cvsignore
   D /trunk/docs/coreclients/.cvsignore
   D /trunk/docs/games/.cvsignore
   D /trunk/docs/games/external-games/.cvsignore
   D /trunk/docs/games/game-development/.cvsignore
   D /trunk/docs/games/ggzcards/.cvsignore
   D /trunk/docs/games/hastings/.cvsignore
   D /trunk/docs/games/modules/.cvsignore
   D /trunk/docs/ggz-project/.cvsignore
   D /trunk/docs/grubby/.cvsignore
   D /trunk/docs/overview/.cvsignore
   D /trunk/docs/overview/architecture/.cvsignore
   D /trunk/docs/server/.cvsignore
   D /trunk/docs/server/hosting/.cvsignore
   M /trunk/docs/spec
   D /trunk/docs/spec/.cvsignore
   D /trunk/docs/spec/clientspec/.cvsignore
   D /trunk/docs/spec/serverspec/.cvsignore
   M /trunk/ggz-client-libs
   D /trunk/ggz-client-libs/.cvsignore
   D /trunk/ggz-client-libs/desktop/.cvsignore
   D /trunk/ggz-client-libs/ggz-config/.cvsignore
   D /trunk/ggz-client-libs/ggz-wrapper/.cvsignore
   D /trunk/ggz-client-libs/ggzcore/.cvsignore
   D /trunk/ggz-client-libs/ggzmod/.cvsignore
   D /trunk/ggz-client-libs/ggzmod-ggz/.cvsignore
   D /trunk/ggz-client-libs/man/.cvsignore
   D /trunk/ggz-client-libs/po/.cvsignore
   D /trunk/ggz-client-libs/tests/.cvsignore
   M /trunk/ggzd
   D /trunk/ggzd/.cvsignore
   D /trunk/ggzd/doc/.cvsignore
   D /trunk/ggzd/game_servers/.cvsignore
   D /trunk/ggzd/game_servers/chess/.cvsignore
   M /trunk/ggzd/game_servers/chess/libcgc
   D /trunk/ggzd/game_servers/chess/libcgc/.cvsignore
   D /trunk/ggzd/game_servers/chinese-checkers/.cvsignore
   D /trunk/ggzd/game_servers/combat/.cvsignore
   D /trunk/ggzd/game_servers/connectx/.cvsignore
   D /trunk/ggzd/game_servers/dots/.cvsignore
   D /trunk/ggzd/game_servers/escape/.cvsignore
   D /trunk/ggzd/game_servers/geekgame/.cvsignore
   D /trunk/ggzd/game_servers/ggzcards/.cvsignore
   M /trunk/ggzd/game_servers/ggzcards/ai
   D /trunk/ggzd/game_servers/ggzcards/ai/.cvsignore
   M /trunk/ggzd/game_servers/ggzcards/client
   D /trunk/ggzd/game_servers/ggzcards/client/.cvsignore
   M /trunk/ggzd/game_servers/ggzcards/common
   D /trunk/ggzd/game_servers/ggzcards/common/.cvsignore
   D /trunk/ggzd/game_servers/ggzcards/config/.cvsignore
   M /trunk/ggzd/game_servers/ggzcards/games
   D /trunk/ggzd/game_servers/ggzcards/games/.cvsignore
   D /trunk/ggzd/game_servers/hastings/.cvsignore
   D /trunk/ggzd/game_servers/hastings/maps/.cvsignore
   D /trunk/ggzd/game_servers/keepalive/.cvsignore
   D /trunk/ggzd/game_servers/keepalive/ggzsh/.cvsignore
   D /trunk/ggzd/game_servers/keepalive/src/.cvsignore
   D /trunk/ggzd/game_servers/krosswater/.cvsignore
   D /trunk/ggzd/game_servers/krosswater/stackpath/.cvsignore
   D /trunk/ggzd/game_servers/krosswater/zoneserver/.cvsignore
   D /trunk/ggzd/game_servers/lapocha/.cvsignore
   D /trunk/ggzd/game_servers/muehle/.cvsignore
   D /trunk/ggzd/game_servers/muehle/qtserv/.cvsignore
   D /trunk/ggzd/game_servers/muehle/variants/.cvsignore
   D /trunk/ggzd/game_servers/reversi/.cvsignore
   D /trunk/ggzd/game_servers/spades/.cvsignore
   D /trunk/ggzd/game_servers/tuxman/.cvsignore
   D /trunk/ggzd/game_servers/widelands/.cvsignore
   D /trunk/ggzd/ggzd/.cvsignore
   D /trunk/ggzd/ggzd/database/.cvsignore
   D /trunk/ggzd/ggzdmod/.cvsignore
   M /trunk/ggzd/ggzdmod++
   D /trunk/ggzd/man/.cvsignore
   D /trunk/ggzd/tests/.cvsignore
   M /trunk/gnome-client
   D /trunk/gnome-client/.cvsignore
   A /trunk/gnome-client/INSTALL
   M /trunk/gnome-client/man
   D /trunk/gnome-client/motd-editor/.cvsignore
   D /trunk/gnome-client/pixmaps/.cvsignore
   D /trunk/gnome-client/po/.cvsignore
   D /trunk/gnome-client/src/.cvsignore
   D /trunk/gnome-client/src/.deps/.cvsignore
   D /trunk/grubby/.cvsignore
   D /trunk/grubby/games/.cvsignore
   D /trunk/grubby/games/guru-chess/.cvsignore
   D /trunk/grubby/games/guru-ttt/.cvsignore
   D /trunk/grubby/games/lib/.cvsignore
   D /trunk/grubby/grubby/.cvsignore
   D /trunk/grubby/grubby/data/.cvsignore
   D /trunk/grubby/grubby/modules/.cvsignore
   D /trunk/grubby/grubby/po/.cvsignore
   D /trunk/grubby/grubby/src/.cvsignore
   D /trunk/grubby/man/.cvsignore
   D /trunk/grubby/man/de/.cvsignore
   M /trunk/gtk-client
   D /trunk/gtk-client/.cvsignore
   D /trunk/gtk-client/doc/.cvsignore
   D /trunk/gtk-client/gaim-plugin/.cvsignore
   D /trunk/gtk-client/ggz-gtk/.cvsignore
   D /trunk/gtk-client/ggz-gtk/glade/.cvsignore
   D /trunk/gtk-client/man/.cvsignore
   D /trunk/gtk-client/po/.cvsignore
   M /trunk/gtk-games
   D /trunk/gtk-games/.cvsignore
   D /trunk/gtk-games/chess/.cvsignore
   D /trunk/gtk-games/chess/bitmaps/.cvsignore
   D /trunk/gtk-games/chess/glade/.cvsignore
   D /trunk/gtk-games/chess/libcgc/.cvsignore
   D /trunk/gtk-games/chinese-checkers/.cvsignore
   D /trunk/gtk-games/chinese-checkers/glade/.cvsignore
   D /trunk/gtk-games/chinese-checkers/pixmaps/.cvsignore
   D /trunk/gtk-games/combat/.cvsignore
   D /trunk/gtk-games/combat/glade/.cvsignore
   D /trunk/gtk-games/combat/maps/.cvsignore
   D /trunk/gtk-games/combat/pixmaps/.cvsignore
   D /trunk/gtk-games/combat/pixmaps/default/.cvsignore
   D /trunk/gtk-games/common/.cvsignore
   D /trunk/gtk-games/common/cardsets/.cvsignore
   D /trunk/gtk-games/dots/.cvsignore
   D /trunk/gtk-games/ggzcards/.cvsignore
   D /trunk/gtk-games/ggzcards/client/.cvsignore
   D /trunk/gtk-games/ggzcards/common/.cvsignore
   D /trunk/gtk-games/hastings/.cvsignore
   D /trunk/gtk-games/hastings/pixmaps/.cvsignore
   D /trunk/gtk-games/po/.cvsignore
   D /trunk/gtk-games/po/chess/.cvsignore
   D /trunk/gtk-games/po/chinese-checkers/.cvsignore
   D /trunk/gtk-games/po/combat/.cvsignore
   D /trunk/gtk-games/po/common/.cvsignore
   D /trunk/gtk-games/po/dots/.cvsignore
   D /trunk/gtk-games/po/ggzcards/.cvsignore
   D /trunk/gtk-games/po/hastings/.cvsignore
   D /trunk/gtk-games/po/reversi/.cvsignore
   D /trunk/gtk-games/po/spades/.cvsignore
   D /trunk/gtk-games/po/tictactoe/.cvsignore
   D /trunk/gtk-games/reversi/.cvsignore
   D /trunk/gtk-games/reversi/glade/.cvsignore
   D /trunk/gtk-games/spades/.cvsignore
   D /trunk/gtk-games/tictactoe/.cvsignore
   M /trunk/kde-client
   D /trunk/kde-client/.cvsignore
   D /trunk/kde-client/compcal/.cvsignore
   D /trunk/kde-client/compcal/data/.cvsignore
   D /trunk/kde-client/compcal/src/.cvsignore
   D /trunk/kde-client/compcal/src/lib/.cvsignore
   D /trunk/kde-client/ggz-kde/.cvsignore
   D /trunk/kde-client/ggz-kde/data/.cvsignore
   D /trunk/kde-client/ggz-kde/data/browser/.cvsignore
   D /trunk/kde-client/ggz-kde/data/icons/.cvsignore
   D /trunk/kde-client/ggz-kde/data/icons/games/.cvsignore
   D /trunk/kde-client/ggz-kde/data/icons/players/.cvsignore
   D /trunk/kde-client/ggz-kde/data/kde/.cvsignore
   D /trunk/kde-client/ggz-kde/data/splash/.cvsignore
   D /trunk/kde-client/ggz-kde/doc/.cvsignore
   D /trunk/kde-client/ggz-kde/doc/de/.cvsignore
   D /trunk/kde-client/ggz-kde/ggzcore++/.cvsignore
   D /trunk/kde-client/ggz-kde/ggzcore++/doc/.cvsignore
   D /trunk/kde-client/ggz-kde/ggzcore++/doc/html/.cvsignore
   D /trunk/kde-client/ggz-kde/ggzcore++/src/.cvsignore
   D /trunk/kde-client/ggz-kde/po/.cvsignore
   D /trunk/kde-client/ggz-kde/src/.cvsignore
   D /trunk/kde-client/ggz-kde/src/abstract/.cvsignore
   D /trunk/kde-client/ggz-kde/src/widgets/.cvsignore
   M /trunk/kde-client/ggz-kde/src/widgets/more
   D /trunk/kde-client/ggz-kde/src/widgets/more/.cvsignore
   D /trunk/kde-client/ggzap/.cvsignore
   D /trunk/kde-client/kcm_ggz/.cvsignore
   D /trunk/kde-client/kcm_ggz/modules/.cvsignore
   D /trunk/kde-client/keepalivecontrol/.cvsignore
   D /trunk/kde-client/keepalivecontrol/data/.cvsignore
   D /trunk/kde-client/keepalivecontrol/src/.cvsignore
   D /trunk/kde-client/kgrubby/.cvsignore
   D /trunk/kde-client/kgrubby/data/.cvsignore
   D /trunk/kde-client/kgrubby/src/.cvsignore
   D /trunk/kde-client/kio_ggz/.cvsignore
   D /trunk/kde-client/kio_ggz/kioslave/.cvsignore
   D /trunk/kde-client/kio_ggzmeta/.cvsignore
   D /trunk/kde-client/kio_ggzmeta/kioslave/.cvsignore
   D /trunk/kde-client/man/.cvsignore
   D /trunk/kde-client/po/.cvsignore
   D /trunk/kde-client/po/compcal/.cvsignore
   D /trunk/kde-client/po/ggzap/.cvsignore
   D /trunk/kde-client/po/kcm_ggz/.cvsignore
   D /trunk/kde-client/po/kgrubby/.cvsignore
   D /trunk/kde-client/po/shadowbridge/.cvsignore
   D /trunk/kde-client/shadowbridge/.cvsignore
   D /trunk/kde-client/shadowbridge/pics/.cvsignore
   M /trunk/kde-games
   D /trunk/kde-games/.cvsignore
   D /trunk/kde-games/KReversi/.cvsignore
   D /trunk/kde-games/KReversi/pixmaps/.cvsignore
   D /trunk/kde-games/KReversi/pixmaps/blend/.cvsignore
   D /trunk/kde-games/KReversi/pixmaps/default/.cvsignore
   D /trunk/kde-games/KReversi/pixmaps/gtk-client/.cvsignore
   D /trunk/kde-games/fyrdman/.cvsignore
   D /trunk/kde-games/fyrdman/data/.cvsignore
   D /trunk/kde-games/kcc/.cvsignore
   D /trunk/kde-games/kcc/themes/.cvsignore
   D /trunk/kde-games/kcc/themes/default/.cvsignore
   D /trunk/kde-games/kdots/.cvsignore
   D /trunk/kde-games/kdots/Dot/.cvsignore
   D /trunk/kde-games/keepalive/.cvsignore
   D /trunk/kde-games/keepalive/pics/.cvsignore
   D /trunk/kde-games/keepalive/src/.cvsignore
   D /trunk/kde-games/koenig/.cvsignore
   D /trunk/kde-games/koenig/libcgc/.cvsignore
   D /trunk/kde-games/koenig/pics/.cvsignore
   D /trunk/kde-games/koenig/pieces/.cvsignore
   D /trunk/kde-games/krosswater/.cvsignore
   D /trunk/kde-games/krosswater/gfx/.cvsignore
   D /trunk/kde-games/krosswater/zoneclient/.cvsignore
   D /trunk/kde-games/ktictactux/.cvsignore
   D /trunk/kde-games/ktictactux/themes/.cvsignore
   D /trunk/kde-games/lib/.cvsignore
   D /trunk/kde-games/man/.cvsignore
   D /trunk/kde-games/muehle/.cvsignore
   D /trunk/kde-games/muehle/doc/.cvsignore
   D /trunk/kde-games/muehle/pics/.cvsignore
   D /trunk/kde-games/muehle/pics/alt/.cvsignore
   D /trunk/kde-games/muehle/pics/standard/.cvsignore
   D /trunk/kde-games/muehle/src/.cvsignore
   D /trunk/kde-games/muehle/src/ai/.cvsignore
   D /trunk/kde-games/muehle/src/ggzwrap/.cvsignore
   D /trunk/kde-games/muehle/variants/.cvsignore
   D /trunk/kde-games/po/.cvsignore
   D /trunk/kde-games/po/KReversi/.cvsignore
   D /trunk/kde-games/po/fyrdman/.cvsignore
   D /trunk/kde-games/po/kdots/.cvsignore
   D /trunk/kde-games/po/koenig/.cvsignore
   D /trunk/kde-games/po/krosswater/.cvsignore
   D /trunk/kde-games/po/ktictactux/.cvsignore
   D /trunk/kde-games/po/muehle/.cvsignore
   M /trunk/libggz
   D /trunk/libggz/.cvsignore
   D /trunk/libggz/man/.cvsignore
   M /trunk/libggz/src
   D /trunk/libggz/src/.cvsignore
   D /trunk/libggz/src/security/.cvsignore
   D /trunk/libggz/tests/.cvsignore
   M /trunk/playground/README
   D /trunk/playground/agrue/agrue/.cvsignore
   D /trunk/playground/colorsniff/.cvsignore
   D /trunk/playground/ggz-java/distributed-ggz/classes/.cvsignore
   D /trunk/playground/ggz-java/tictactoe/classes/.cvsignore
   D /trunk/playground/ggz-java/tictactoe/classes/GGZ/.cvsignore
   D /trunk/playground/ggz-java/tictactoeclient/.cvsignore
   M /trunk/playground/ggz-ruby/ai-ttt/ttt-ai.c
   D /trunk/playground/ggz-ruby/ruggzdmod/.cvsignore
   D /trunk/playground/kopete-ggz/.cvsignore
   D /trunk/playground/sdl-games/tuxman-server/.cvsignore
   D /trunk/playground/sdl-games/tuxman-server/lib/.cvsignore
   D /trunk/python/.cvsignore
   M /trunk/python/chess
   M /trunk/python/escape-sdl
   D /trunk/python/escape-sdl/.cvsignore
   M /trunk/python/ggzboard
   D /trunk/python/ggzboard/.cvsignore
   D /trunk/python/go/.cvsignore
   M /trunk/python/lib
   D /trunk/python/po/.cvsignore
   D /trunk/python/pyggzchess/.cvsignore
   D /trunk/python/pyggzcore/.cvsignore
   D /trunk/python/pyggzdmod/.cvsignore
   D /trunk/python/pyggzmod/.cvsignore
   D /trunk/python/pyrsvgsdl/.cvsignore
   M /trunk/python/xadrez-chines
   D /trunk/python/xadrez-chines/.cvsignore
   M /trunk/sdl-games
   D /trunk/sdl-games/.cvsignore
   D /trunk/sdl-games/geekgame/.cvsignore
   D /trunk/sdl-games/geekgame/graphics/.cvsignore
   D /trunk/sdl-games/ttt3d/.cvsignore
   M /trunk/txt-client
   D /trunk/txt-client/.cvsignore
   D /trunk/txt-client/ggz-txt/.cvsignore
   D /trunk/txt-client/man/.cvsignore
   D /trunk/txt-client/po/.cvsignore
   D /trunk/txt-client/tttxt/.cvsignore
   M /trunk/utils
   D /trunk/utils/.cvsignore
   D /trunk/utils/cmd-client/.cvsignore
   D /trunk/utils/ggzcomm/.cvsignore
   D /trunk/utils/man/.cvsignore
   D /trunk/utils/metaserv/.cvsignore
   D /trunk/utils/metaserv/gui-qt/.cvsignore
   D /trunk/utils/metaserv/metaserv/.cvsignore
   D /trunk/utils/metaserv/minidom/.cvsignore
   D /trunk/utils/telggz/.cvsignore
   D /trunk/www/docs/.cvsignore

This week's XXL commit!
- removal of all .cvsignore files
- addition of *.a, *.os, ... to svn:ignore


------------------------------------------------------------------------
r7643 | josef | 2005-11-25 20:36:11 +0100 (Fr, 25 Nov 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c

- trying to disable the alarm stuff
  (based on WINSOCK detection... well)


------------------------------------------------------------------------
r7642 | josef | 2005-11-25 20:32:01 +0100 (Fr, 25 Nov 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c

- remove port and buf variables for non-socketpair compilation


------------------------------------------------------------------------
r7639 | josef | 2005-11-24 19:11:41 +0100 (Do, 24 Nov 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c

- trying to fix the case when no socketpair() is available (aka, win32)


------------------------------------------------------------------------
r7604 | josef | 2005-10-01 15:56:41 +0200 (Sa, 01 Okt 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/desktop/ggz.menu

- use full GGZ name


------------------------------------------------------------------------
r7601 | josef | 2005-09-28 01:37:04 +0200 (Mi, 28 Sep 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/configure.ac
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/configure.ac
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/configure.ac
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/configure.ac
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/configure.ac
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/configure.ac
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/configure.ac
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/configure.ac
   M /trunk/utils/m4/ggz.m4

- move prefix sanitiser into AC_GGZ_INIT
- remove all assumptions over prefix being NONE


------------------------------------------------------------------------
r7599 | josef | 2005-09-28 01:02:26 +0200 (Mi, 28 Sep 2005) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

- quick fix for the PREFIX = NONE problem

The real fix (for after 0.0.12) is to move this into AC_GGZ_INIT


------------------------------------------------------------------------
r7597 | jdorje | 2005-09-27 04:54:00 +0200 (Di, 27 Sep 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/gametype.c

Make local namedbots functions static.

------------------------------------------------------------------------
r7593 | josef | 2005-09-25 20:25:14 +0200 (So, 25 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/docs/ChangeLog
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggzd/ChangeLog
   M /trunk/gnome-client/ChangeLog
   M /trunk/grubby/ChangeLog
   M /trunk/gtk-client/ChangeLog
   M /trunk/gtk-games/ChangeLog
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/ChangeLog
   M /trunk/libggz/ChangeLog
   M /trunk/python/ChangeLog
   M /trunk/sdl-games/ChangeLog
   M /trunk/txt-client/ChangeLog
   M /trunk/utils/ChangeLog

- big changelog update (2.3 MB... due to new formatting)


------------------------------------------------------------------------
r7566 | josef | 2005-09-25 15:33:44 +0200 (So, 25 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.h

- include ggz.h (unless we defined a GGZInfo structure instead of using GGZList)


------------------------------------------------------------------------
r7564 | josef | 2005-09-25 15:20:08 +0200 (So, 25 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggzd/ggzdmod/Doxyfile
   M /trunk/libggz/Doxyfile

- doxygen version bump


------------------------------------------------------------------------
r7556 | josef | 2005-09-25 13:25:49 +0200 (So, 25 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h

- library version bump: interface changed, but is backward compatible with 0.0.11


------------------------------------------------------------------------
r7555 | josef | 2005-09-25 13:16:05 +0200 (So, 25 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- library version bump: ggzmod changed quite a bit, not binary compatible


------------------------------------------------------------------------
r7551 | josef | 2005-09-25 12:11:25 +0200 (So, 25 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/community/Makefile
   M /trunk/community/web/common/htconf-dist
   M /trunk/docs/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/configure.ac
   M /trunk/gtk-games/configure.ac
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/configure.ac
   M /trunk/python/configure.ac
   M /trunk/sdl-games/configure.ac
   M /trunk/txt-client/configure.ac
   M /trunk/utils/configure.ac

- more version string changes in the build system


------------------------------------------------------------------------
r7550 | josef | 2005-09-25 11:54:30 +0200 (So, 25 Sep 2005) | 4 lines
Geänderte Pfade:
   M /trunk/community/NEWS
   M /trunk/community/README.GGZ
   M /trunk/docs/NEWS
   M /trunk/docs/README.GGZ
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/README
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggzd/NEWS
   M /trunk/ggzd/README
   M /trunk/ggzd/README.GGZ
   M /trunk/gnome-client/NEWS
   M /trunk/gnome-client/README
   M /trunk/gnome-client/README.GGZ
   M /trunk/grubby/NEWS
   M /trunk/grubby/README
   M /trunk/grubby/README.GGZ
   M /trunk/gtk-client/NEWS
   M /trunk/gtk-client/README
   M /trunk/gtk-client/README.GGZ
   M /trunk/gtk-games/NEWS
   M /trunk/gtk-games/README
   M /trunk/gtk-games/README.GGZ
   M /trunk/kde-client/NEWS
   M /trunk/kde-client/README
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-games/NEWS
   M /trunk/kde-games/README
   M /trunk/kde-games/README.GGZ
   M /trunk/libggz/NEWS
   M /trunk/libggz/README.GGZ
   M /trunk/python/NEWS
   M /trunk/python/README
   M /trunk/python/README.GGZ
   M /trunk/sdl-games/NEWS
   M /trunk/sdl-games/README
   M /trunk/sdl-games/README.GGZ
   M /trunk/txt-client/NEWS
   M /trunk/txt-client/README.GGZ
   M /trunk/utils/NEWS
   M /trunk/utils/README
   M /trunk/utils/README.GGZ

- version updates in common files
- news and release-specific changes


------------------------------------------------------------------------
r7547 | josef | 2005-09-23 23:54:25 +0200 (Fr, 23 Sep 2005) | 4 lines
Geänderte Pfade:
   M /trunk/community/COPYING
   M /trunk/ggz-client-libs/COPYING
   M /trunk/ggzd/COPYING
   A /trunk/gnome-client/COPYING
   M /trunk/grubby/COPYING
   M /trunk/gtk-client/COPYING
   M /trunk/gtk-games/COPYING
   M /trunk/kde-client/COPYING
   M /trunk/kde-games/COPYING
   M /trunk/libggz/COPYING
   M /trunk/playground/COPYING
   M /trunk/python/COPYING
   A /trunk/sdl-games/COPYING
   M /trunk/txt-client/COPYING
   M /trunk/utils/COPYING

- add copyright files for gnome-client and sdl-games to SVN
- update all copyright files with current version, including the new FSF address in Boston


------------------------------------------------------------------------
r7540 | josef | 2005-09-18 15:00:08 +0200 (So, 18 Sep 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- removal of GGZMOD_EVENT_SERVER_FD event (which is purely internal)
- fixing up many comments which were copy&pasted from ggzdmod


------------------------------------------------------------------------
r7527 | josef | 2005-09-17 21:31:46 +0200 (Sa, 17 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.c

- now, ggz_write_int and ggz_write_fd are not quite the same...


------------------------------------------------------------------------
r7526 | josef | 2005-09-17 21:31:17 +0200 (Sa, 17 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

- some trailing white space removals


------------------------------------------------------------------------
r7525 | josef | 2005-09-17 00:53:54 +0200 (Sa, 17 Sep 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/io.c

- small documentation extensions
- one oddly indented brace fixed


------------------------------------------------------------------------
r7524 | josef | 2005-09-17 00:25:39 +0200 (Sa, 17 Sep 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/server.c

- improved handling of channels


------------------------------------------------------------------------
r7519 | josef | 2005-09-16 21:44:09 +0200 (Fr, 16 Sep 2005) | 9 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.c
   M /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.h
   M /trunk/ggz-client-libs/ggzmod-ggz/protocol.h

- committing the proposed reintroduction of channels.

See this mail for explications:
https://mail.ggzgamingzone.org/pipermail/ggz-dev/2005-September/000539.html

Now the core clients must be checked for compatibility, ideally with both models.
The whole process of launching might become more configurable in the future.


------------------------------------------------------------------------
r7516 | josef | 2005-09-15 20:00:53 +0200 (Do, 15 Sep 2005) | 4 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggzd/autogen.sh
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/autogen.sh
   M /trunk/gtk-client/configure.ac
   M /trunk/gtk-games/autogen.sh
   M /trunk/gtk-games/configure.ac
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/autogen.sh
   M /trunk/kde-games/configure.ac
   M /trunk/sdl-games/autogen.sh
   M /trunk/sdl-games/configure.ac
   M /trunk/txt-client/autogen.sh
   M /trunk/txt-client/configure.ac
   M /trunk/utils/autogen.sh
   M /trunk/utils/configure.ac

- synchronisation of all autogen.sh files
- quick fixes in configure.ac's (but they really need a cleanup also)


------------------------------------------------------------------------
r7500 | josef | 2005-08-27 14:13:54 +0200 (Sa, 27 Aug 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzcore/table.c

more char*->const char* conversions


------------------------------------------------------------------------
r7475 | josef | 2005-08-21 15:22:31 +0200 (So, 21 Aug 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- transform slashes in game name (Escape/SDL) into underscores


------------------------------------------------------------------------
r7471 | josef | 2005-08-21 10:38:24 +0200 (So, 21 Aug 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- now module handling became even easier: automatic handling of auxiliary "no-registry" directories


------------------------------------------------------------------------
r7464 | josef | 2005-08-20 23:41:45 +0200 (Sa, 20 Aug 2005) | 4 lines
Geänderte Pfade:
   M /trunk/docs/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/configure.ac
   M /trunk/gtk-games/Makefile.am
   M /trunk/gtk-games/configure.ac
   D /trunk/gtk-games/package.in
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/configure.ac
   M /trunk/python/configure.ac
   M /trunk/sdl-games/configure.ac
   M /trunk/txt-client/configure.ac
   M /trunk/utils/configure.ac

- bump version to 0.0.12pre to not create *-0.0.11.tar.gz files
- remove the gtk-games override stuff


------------------------------------------------------------------------
r7444 | josef | 2005-08-16 00:34:32 +0200 (Di, 16 Aug 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/io.c

- improved list data handling (allocate on the heap so libggz doesn't silently drop the 
entries!)


------------------------------------------------------------------------
r7431 | josef | 2005-08-15 11:50:01 +0200 (Mo, 15 Aug 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/gametype.c
   M /trunk/ggz-client-libs/ggzcore/gametype.h
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c

- new function to query peers_allowed status per gametype


------------------------------------------------------------------------
r7427 | josef | 2005-08-15 11:04:07 +0200 (Mo, 15 Aug 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

- ggzmod side of player info patch
- introduction of 2 new functions in the public API


------------------------------------------------------------------------
r7426 | josef | 2005-08-15 11:03:04 +0200 (Mo, 15 Aug 2005) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.c
   M /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.h
   M /trunk/ggz-client-libs/ggzmod-ggz/mod-ggz.h
   M /trunk/ggz-client-libs/ggzmod-ggz/protocol.h

- ggzmod-ggz part of the player info patch
- new protocol elements MSG_GAME_INFO and REQ_INFO
- also a GGZMOD_TRANSACTION_INFO for ggzcore


------------------------------------------------------------------------
r7425 | josef | 2005-08-15 11:01:50 +0200 (Mo, 15 Aug 2005) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzcore/game.h
   M /trunk/ggz-client-libs/ggzcore/net.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c

- ggzcore part of the player info patch

Note that there is probably a memory leak as the list handling is not yet optimised.


------------------------------------------------------------------------
r7403 | josef | 2005-08-14 09:09:44 +0200 (So, 14 Aug 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/gametype.c

- use ggz_strdup()


------------------------------------------------------------------------
r7402 | josef | 2005-08-14 00:24:02 +0200 (So, 14 Aug 2005) | 8 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzcore/gametype.c
   M /trunk/ggz-client-libs/ggzcore/gametype.h
   M /trunk/ggz-client-libs/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzcore/netxml.c
   M /trunk/ggzd/game_servers/tictactoe/tictactoe.dsc
   M /trunk/ggzd/ggzd/datatypes.h
   M /trunk/ggzd/ggzd/net.c
   M /trunk/ggzd/ggzd/parse_opt.c
   M /trunk/kde-client/ggz-kde/ggzcore++/src/GGZCoreGametype.cpp
   M /trunk/kde-client/ggz-kde/ggzcore++/src/GGZCoreGametype.h
   M /trunk/kde-client/ggz-kde/src/KGGZ.cpp
   M /trunk/kde-client/ggz-kde/src/KGGZLaunch.cpp
   M /trunk/kde-client/ggz-kde/src/KGGZLaunch.h

- cross-module change: named bots (server->client part)
- implemented parsing [NamedBots] sections from game .dsc file
- those values are transmitted to the client
- ggzcore parses it and puts it into its gametype info
- ggzcore++ has accessors to them
- kggz can read the entries and display them in the launch dialog


------------------------------------------------------------------------
r7396 | josef | 2005-08-13 19:47:00 +0200 (Sa, 13 Aug 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4

- build system synchronisation


------------------------------------------------------------------------
r7377 | josef | 2005-08-13 12:27:52 +0200 (Sa, 13 Aug 2005) | 8 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- new command line option --noregistry=/usr/share/games/modules/gtk-games

This should eliminate everyone's favourite ggz-config issue. When using
--noregistry, the modfile is not registered but preserved instead. Then,
during deinstallation, simply call:
for i in $dir/*.module.dsc; do ggz-config --remove --modfile $i; done


------------------------------------------------------------------------
r7367 | josef | 2005-08-06 10:32:26 +0200 (Sa, 06 Aug 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/gtk-games/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/txt-client/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- global m4 file synchronisation (now that is fun with subversion)
- also a test for the changed commit script which crops at 20 kB diff size


------------------------------------------------------------------------
r7331 | josef | 2005-08-02 22:50:50 +0200 (Di, 02 Aug 2005) | 6 lines
Geänderte Pfade:
   D /trunk/ggz/src/ggzcore
   A /trunk/ggz-client-libs/ggzcore (von /trunk/ggz/src/ggzcore:7327)

++ Reorganisation ++

- deprecation of old 'ggz' module
- move ggzcore to ggz-client-libs


------------------------------------------------------------------------
r7282 | josef | 2005-06-18 09:13:21 +0200 (Sa, 18 Jun 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c

- introduce GGZSOCKET and GGZMODE environment variables
- deprecate GGZMOD_SOCKET_FD instead, and clean up the portability parts

------------------------------------------------------------------------
r7267 | josef | 2005-06-10 13:59:51 +0200 (Fr, 10 Jun 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/io.c

- GCC4 fixes

------------------------------------------------------------------------
r7265 | josef | 2005-06-02 17:02:10 +0200 (Do, 02 Jun 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/tests/Makefile.am
   M /trunk/ggz-client-libs/tests/ggzmodtest.c

- migrating the check for ggzmodtest to ggzmod-ggz

------------------------------------------------------------------------
r7241 | josef | 2005-05-21 18:26:21 +0200 (Sa, 21 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/desktop/Makefile.am

- add all data to EXTRA_DIST

------------------------------------------------------------------------
r7219 | josef | 2005-05-21 13:23:34 +0200 (Sa, 21 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggz-config.6.in
   M /trunk/ggz-client-libs/man/ggz-wrapper.6
   M /trunk/ggz-client-libs/man/ggz.modules.5.in
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in

- manpage updates from doxygen (ggzmod, ggzcore) and hand-written ones

------------------------------------------------------------------------
r7217 | josef | 2005-05-21 13:16:53 +0200 (Sa, 21 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggzd/ggzdmod/Doxyfile
   M /trunk/libggz/Doxyfile

- doxygen file update

------------------------------------------------------------------------
r7216 | josef | 2005-05-21 13:13:11 +0200 (Sa, 21 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/docs/AUTHORS
   M /trunk/docs/NEWS
   M /trunk/docs/QuickStart.GGZ
   M /trunk/docs/README.GGZ
   M /trunk/ggz/game_clients/AUTHORS
   M /trunk/ggz/game_clients/NEWS
   M /trunk/ggz/game_clients/QuickStart.GGZ
   M /trunk/ggz/game_clients/README
   M /trunk/ggz/game_clients/README.GGZ
   M /trunk/ggz-client-libs/AUTHORS
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-txt-client/AUTHORS
   M /trunk/ggz-txt-client/NEWS
   M /trunk/ggz-txt-client/QuickStart.GGZ
   M /trunk/ggz-txt-client/README.GGZ
   M /trunk/ggzd/AUTHORS
   M /trunk/ggzd/NEWS
   M /trunk/ggzd/README
   M /trunk/ggzd/README.GGZ
   M /trunk/gnome-client/AUTHORS
   M /trunk/gnome-client/NEWS
   M /trunk/gnome-client/QuickStart.GGZ
   M /trunk/gnome-client/README
   M /trunk/gnome-client/README.GGZ
   M /trunk/grubby/AUTHORS
   M /trunk/grubby/NEWS
   M /trunk/grubby/README
   M /trunk/grubby/README.GGZ
   M /trunk/gtk-client/AUTHORS
   M /trunk/gtk-client/NEWS
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/README
   M /trunk/gtk-client/README.GGZ
   M /trunk/kde-client/AUTHORS
   M /trunk/kde-client/NEWS
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/README
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-games/AUTHORS
   M /trunk/kde-games/NEWS
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/README
   M /trunk/kde-games/README.GGZ
   M /trunk/libggz/README
   M /trunk/python/AUTHORS
   M /trunk/python/NEWS
   M /trunk/python/QuickStart.GGZ
   M /trunk/python/README
   M /trunk/python/README.GGZ
   M /trunk/sdl-games/AUTHORS
   M /trunk/sdl-games/NEWS
   M /trunk/sdl-games/QuickStart.GGZ
   M /trunk/sdl-games/README
   M /trunk/sdl-games/README.GGZ
   M /trunk/utils/AUTHORS
   M /trunk/utils/NEWS
   M /trunk/utils/README
   M /trunk/utils/README.GGZ

- common files synchronisation and README update for 0.0.11

------------------------------------------------------------------------
r7214 | josef | 2005-05-21 12:46:02 +0200 (Sa, 21 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/docs/configure.ac
   M /trunk/ggz/game_clients/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-txt-client/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/configure.ac
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/configure.ac
   M /trunk/python/configure.ac
   M /trunk/sdl-games/configure.ac
   M /trunk/utils/configure.ac

- LET version = 0.0.11

------------------------------------------------------------------------
r7206 | josef | 2005-05-21 12:15:34 +0200 (Sa, 21 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- version info for ggzmod is 3:1:1 (only implementation changes and one const)

------------------------------------------------------------------------
r7199 | josef | 2005-05-16 23:52:57 +0200 (Mo, 16 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- swap iconfile and modfile arguments

------------------------------------------------------------------------
r7197 | josef | 2005-05-16 23:35:21 +0200 (Mo, 16 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am

- adding i18n.mk to EXTRA_DIST

------------------------------------------------------------------------
r7196 | josef | 2005-05-16 23:34:19 +0200 (Mo, 16 Mai 2005) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/m4/i18n.mk

- message catalog support for ggz-client-libs

------------------------------------------------------------------------
r7194 | josef | 2005-05-16 23:14:58 +0200 (Mo, 16 Mai 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac

- configure po directory
- do not link ggzcore against popt anymore (if at all, this were ggz-config)
- remove some obsolete autoconf stuff

------------------------------------------------------------------------
r7193 | josef | 2005-05-16 23:13:06 +0200 (Mo, 16 Mai 2005) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/po
   A /trunk/ggz-client-libs/po/.cvsignore
   A /trunk/ggz-client-libs/po/Makefile.am
   A /trunk/ggz-client-libs/po/de.po
   A /trunk/ggz-client-libs/po/ggz-config.pot

- message catalog and German translation for ggz-config

------------------------------------------------------------------------
r7192 | josef | 2005-05-16 23:12:27 +0200 (Mo, 16 Mai 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- replace popt with getopt
- mark all strings for translation

------------------------------------------------------------------------
r7186 | josef | 2005-05-07 18:45:13 +0200 (Sa, 07 Mai 2005) | 12 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c
   M /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.c
   M /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.h
   M /trunk/ggz-client-libs/ggzmod-ggz/mod-ggz.h

- rename all ggzmod_XXX functions to ggzmod_ggz_XXX

I never thought this was necessary. BUT:
from ggzcore, both ggzmod and ggzmod-ggz have the same "distance", so it
is confused at which function symbol to resolve... and naturally goes for
the wrong one.
Ideally, it would know that a statically linked lib should get a higher
score than a dynamically linked one. Maybe this can even be configured.

This was not so much a problem for normal games and core clients, but very
much for embedded games which use both ggzmod and ggzcore.

------------------------------------------------------------------------
r7181 | josef | 2005-05-06 23:12:01 +0200 (Fr, 06 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/m4/ggz.m4

- compile ggzmod-ggz first, then ggzcore, then ggzmod

------------------------------------------------------------------------
r7178 | josef | 2005-05-06 23:08:09 +0200 (Fr, 06 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   D /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

- ggzmod-ggz has been moved out of here

------------------------------------------------------------------------
r7177 | josef | 2005-05-06 23:07:44 +0200 (Fr, 06 Mai 2005) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/ggzmod-ggz
   A /trunk/ggz-client-libs/ggzmod-ggz/.cvsignore
   A /trunk/ggz-client-libs/ggzmod-ggz/Makefile.am
   A /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.c
   A /trunk/ggz-client-libs/ggzmod-ggz/ggzmod-ggz.h
   A /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.c
   A /trunk/ggz-client-libs/ggzmod-ggz/io-ggz.h
   A /trunk/ggz-client-libs/ggzmod-ggz/mod-ggz.h
   A /trunk/ggz-client-libs/ggzmod-ggz/protocol.h

- a new static library: ggzmod-ggz, the GGZ side of ggzmod

------------------------------------------------------------------------
r7172 | oojah | 2005-05-03 22:30:32 +0200 (Di, 03 Mai 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz/src/ggzcore/netxml.c
   M /trunk/ggz/src/ggzcore/server.c
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c
   M /trunk/ggz-client-libs/ggz-wrapper/loop.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/mod.h

Changed all winsock usage to winsock2 to maintain consistency with libggz.

------------------------------------------------------------------------
r7147 | josef | 2005-04-24 08:36:47 +0200 (So, 24 Apr 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/server.c

- oh! another core client

------------------------------------------------------------------------
r7115 | josef | 2005-04-17 16:24:03 +0200 (So, 17 Apr 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- ability to install game icon with --icon

(nevertheless we'd really need some generic *gametype* icons)

------------------------------------------------------------------------
r7046 | josef | 2005-03-26 10:51:15 +0100 (Sa, 26 Mär 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

- turn ggzdmod-isms into ggzmod-isms

------------------------------------------------------------------------
r6979 | jdorje | 2005-03-11 08:22:18 +0100 (Fr, 11 Mär 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Portability fix: allow compilation to succeed if kill() isn't present.

------------------------------------------------------------------------
r6952 | josef | 2005-02-28 00:24:22 +0100 (Mo, 28 Feb 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   A /trunk/ggz-client-libs/desktop
   A /trunk/ggz-client-libs/desktop/.cvsignore
   A /trunk/ggz-client-libs/desktop/Makefile.am
   A /trunk/ggz-client-libs/desktop/ggz-games.directory
   A /trunk/ggz-client-libs/desktop/ggz.directory
   A /trunk/ggz-client-libs/desktop/ggz.menu
   A /trunk/ggz-client-libs/desktop/ggz.merge.menu

- XDG menu structure definitions

------------------------------------------------------------------------
r6918 | josef | 2005-02-04 16:59:43 +0100 (Fr, 04 Feb 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggz-txt-client/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- synchronize

------------------------------------------------------------------------
r6916 | josef | 2005-02-04 14:05:27 +0100 (Fr, 04 Feb 2005) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4

- fix: on FreeBSD, *.la files are not installed (argggh!)
- fix: use NO instead of NONE so the case where only headers are installed
  is now detected properly

If it works fine, this should be synchronized again.

------------------------------------------------------------------------
r6914 | jdorje | 2005-02-03 11:04:00 +0100 (Do, 03 Feb 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am

Don't link against ggzmod.

------------------------------------------------------------------------
r6907 | jdorje | 2005-01-28 05:23:51 +0100 (Fr, 28 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/game.c
   M /trunk/ggz-client-libs/ggz-wrapper/server.c

Define out deprecated elements.

------------------------------------------------------------------------
r6903 | jdorje | 2005-01-25 19:57:38 +0100 (Di, 25 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/chess/main.c
   M /trunk/ggz/game_clients/chess/net.c
   M /trunk/ggz/game_clients/chess/net.h
   M /trunk/ggz/game_clients/common/dlg_chat.c
   M /trunk/ggz/game_clients/common/dlg_players.c
   M /trunk/ggz/game_clients/common/ggz_gtk.c
   M /trunk/ggz/game_clients/ggzcards/client/client.c
   M /trunk/ggz/game_clients/spades/client_func.c
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-txt-client/tttxt/main.c
   M /trunk/grubby/games/lib/ggzpassive.c
   M /trunk/kde-games/KReversi/network.cpp
   M /trunk/kde-games/KReversi/network.h
   M /trunk/kde-games/fyrdman/network.cpp
   M /trunk/kde-games/fyrdman/network.h
   M /trunk/kde-games/kcc/kccproto.cpp
   M /trunk/kde-games/kcc/kccproto.h
   M /trunk/kde-games/kdots/kdots_proto.cpp
   M /trunk/kde-games/kdots/kdots_proto.h
   M /trunk/kde-games/keepalive/src/network.cpp
   M /trunk/kde-games/keepalive/src/network.h
   M /trunk/kde-games/koenig/ggz.cc
   M /trunk/kde-games/koenig/ggz.h
   M /trunk/kde-games/krosswater/zoneclient/ZoneGGZModUI.cpp
   M /trunk/kde-games/krosswater/zoneclient/ZoneGGZModUI.h
   M /trunk/kde-games/ktictactux/ktictactuxproto.cpp
   M /trunk/kde-games/ktictactux/ktictactuxproto.h
   M /trunk/kde-games/muehle/src/ggzwrap/ggzwrap.c
   M /trunk/sdl-games/geekgame/main.c
   M /trunk/sdl-games/ttt3d/main.c

Change ggzmod event handler functions to take a const data parameter.

------------------------------------------------------------------------
r6873 | jdorje | 2005-01-24 05:18:31 +0100 (Mo, 24 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/game.c
   M /trunk/ggz-client-libs/ggz-wrapper/server.c
   M /trunk/ggz-client-libs/ggz-wrapper/server.h

Include the local ggzcore not the global (installed) one.

------------------------------------------------------------------------
r6872 | jdorje | 2005-01-24 05:14:57 +0100 (Mo, 24 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/ggz-wrapper/game.c
   M /trunk/ggz-client-libs/ggz-wrapper/server.c
   A /trunk/ggz-client-libs/indent.pro

Make hook functions take const pointers.

------------------------------------------------------------------------
r6866 | jdorje | 2005-01-24 02:39:48 +0100 (Mo, 24 Jan 2005) | 7 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz/src/ggzcore/game.c
   A /trunk/ggz/src/ggzcore/ggzcore-ggz.h
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz/src/ggzcore/server.c
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggz-txt-client/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Change the way channels are created at the client side.  The GGZ client
does not create the channel.  Instead the channel connection data is sent
to the game which makes the connection itself.  This means ggzmod needs
to call the channel-creation function from within ggzcore, adding a new
library dependency.  This is solved by linking ggzcore in along with
ggzmod inside AC_GGZ_GGZMOD.

------------------------------------------------------------------------
r6856 | josef | 2005-01-23 22:23:07 +0100 (So, 23 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/docs/AUTHORS
   M /trunk/docs/ChangeLog
   M /trunk/ggz/game_clients/AUTHORS
   M /trunk/ggz/game_clients/ChangeLog
   M /trunk/ggz-client-libs/AUTHORS
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggz-txt-client/AUTHORS
   M /trunk/ggz-txt-client/ChangeLog
   M /trunk/ggzd/AUTHORS
   M /trunk/ggzd/ChangeLog
   M /trunk/gnome-client/AUTHORS
   M /trunk/gnome-client/ChangeLog
   M /trunk/grubby/AUTHORS
   M /trunk/grubby/ChangeLog
   M /trunk/gtk-client/AUTHORS
   M /trunk/gtk-client/ChangeLog
   M /trunk/kde-client/AUTHORS
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/AUTHORS
   M /trunk/kde-games/ChangeLog
   M /trunk/libggz/AUTHORS
   M /trunk/libggz/ChangeLog
   M /trunk/python/AUTHORS
   M /trunk/python/ChangeLog
   M /trunk/sdl-games/AUTHORS
   M /trunk/sdl-games/ChangeLog
   M /trunk/utils/AUTHORS
   M /trunk/utils/ChangeLog

- authors and changelog

------------------------------------------------------------------------
r6845 | josef | 2005-01-23 14:32:47 +0100 (So, 23 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/ggz-wrapper.c

- random name: without 'gaim' (since ggz-wrapper could be used by others too)

------------------------------------------------------------------------
r6844 | josef | 2005-01-23 14:20:29 +0100 (So, 23 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/docs/NEWS
   M /trunk/ggz/game_clients/NEWS
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-txt-client/NEWS
   M /trunk/ggzd/NEWS
   M /trunk/gnome-client/NEWS
   M /trunk/grubby/NEWS
   M /trunk/gtk-client/NEWS
   M /trunk/kde-client/NEWS
   M /trunk/kde-games/NEWS
   M /trunk/libggz/NEWS
   M /trunk/python/NEWS
   M /trunk/sdl-games/NEWS
   M /trunk/utils/NEWS

- news update

------------------------------------------------------------------------
r6843 | josef | 2005-01-23 14:12:48 +0100 (So, 23 Jan 2005) | 2 lines
Geänderte Pfade:
   A /trunk/community/NEWS
   M /trunk/docs/QuickStart.GGZ
   M /trunk/docs/README.GGZ
   M /trunk/ggz/game_clients/QuickStart.GGZ
   M /trunk/ggz/game_clients/README
   M /trunk/ggz/game_clients/README.GGZ
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-txt-client/QuickStart.GGZ
   M /trunk/ggz-txt-client/README.GGZ
   M /trunk/ggzd/README.GGZ
   M /trunk/gnome-client/QuickStart.GGZ
   M /trunk/gnome-client/README
   M /trunk/gnome-client/README.GGZ
   M /trunk/grubby/README
   M /trunk/grubby/README.GGZ
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/README
   M /trunk/gtk-client/README.GGZ
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/README
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/README
   M /trunk/kde-games/README.GGZ
   M /trunk/libggz/QuickStart.GGZ
   M /trunk/libggz/README.GGZ
   M /trunk/python/QuickStart.GGZ
   M /trunk/python/README
   M /trunk/python/README.GGZ
   M /trunk/sdl-games/QuickStart.GGZ
   M /trunk/sdl-games/README
   M /trunk/sdl-games/README.GGZ
   M /trunk/utils/README
   M /trunk/utils/README.GGZ

- updated common files

------------------------------------------------------------------------
r6835 | josef | 2005-01-23 12:29:26 +0100 (So, 23 Jan 2005) | 9 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/tests/Makefile.am

- do not use @LDADD@ for mingw32, use $(LIBS) instead

Makefile.am's never contain platform specific stuff!
This should always be managed by configure.ac.
LIBS is added automatically so each additional library (like -lm, -lgettext,
-lreadline) should be added here.

For 0.0.11 the windows tests should move out of configure.ac and to m4/*.m4.

------------------------------------------------------------------------
r6834 | josef | 2005-01-23 12:16:19 +0100 (So, 23 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/Makefile.am

- include new manpage into EXTRA_DIST list

------------------------------------------------------------------------
r6825 | jdorje | 2005-01-23 09:54:26 +0100 (So, 23 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Improve return value of ggzmod_disconnect.

------------------------------------------------------------------------
r6823 | josef | 2005-01-22 17:31:39 +0100 (Sa, 22 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in

- doxy updates (& manpages)

------------------------------------------------------------------------
r6816 | josef | 2005-01-22 17:01:45 +0100 (Sa, 22 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- new major library version number (binary incompatible)

------------------------------------------------------------------------
r6814 | josef | 2005-01-22 16:39:02 +0100 (Sa, 22 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggz-config.6.in
   M /trunk/ggz-client-libs/man/ggz.modules.5.in

- version number updated

------------------------------------------------------------------------
r6812 | josef | 2005-01-22 16:28:57 +0100 (Sa, 22 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/docs/configure.ac
   M /trunk/docs/games/game-development/ggz-game-development-guide.texi
   M /trunk/docs/ggz-project/GGZ-contributions
   M /trunk/ggz/game_clients/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-txt-client/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/configure.ac
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/configure.ac
   M /trunk/sdl-games/configure.ac
   M /trunk/utils/configure.ac

- version number bump

------------------------------------------------------------------------
r6800 | jdorje | 2005-01-22 11:08:50 +0100 (Sa, 22 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Don't crash in ggzmod_get_player.

------------------------------------------------------------------------
r6796 | jdorje | 2005-01-22 02:06:07 +0100 (Sa, 22 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Remove spurious/accidental printf.

------------------------------------------------------------------------
r6795 | jdorje | 2005-01-21 23:11:45 +0100 (Fr, 21 Jan 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Fix some bugs with stats lists, and change stats_compare to take const
values.

------------------------------------------------------------------------
r6751 | jdorje | 2005-01-20 02:05:36 +0100 (Do, 20 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggz-config.6.in

Fix manpage.  See bug #27.

------------------------------------------------------------------------
r6750 | jdorje | 2005-01-20 02:04:58 +0100 (Do, 20 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

Add reminder to update manpage when options change.

------------------------------------------------------------------------
r6728 | oojah | 2005-01-18 18:06:14 +0100 (Di, 18 Jan 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Call to CreateProcess() was missing a parameter.

With the channels.diff patch, this allows game launching on win32.

------------------------------------------------------------------------
r6724 | jdorje | 2005-01-18 03:51:57 +0100 (Di, 18 Jan 2005) | 4 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Add a new ggzmod state, CONNECTED.  Go into this state once the ggz client
to game client connection is made, and stay in it until the game server
connection is made (when the state is changed to waiting).

------------------------------------------------------------------------
r6723 | jdorje | 2005-01-18 01:51:15 +0100 (Di, 18 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Make _ggzmod_handle_state more robust.

------------------------------------------------------------------------
r6720 | jdorje | 2005-01-17 22:41:10 +0100 (Mo, 17 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/libtool.m4
   M /trunk/libggz/m4/libtool.m4

Get a better libtool.m4

------------------------------------------------------------------------
r6719 | jdorje | 2005-01-17 04:52:11 +0100 (Mo, 17 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   A /trunk/ggz-client-libs/m4/libtool.m4
   M /trunk/libggz/Makefile.am
   A /trunk/libggz/m4/libtool.m4

Add libtool.m4 (needed for AC_LIBTOOL_WIN32_DLL).

------------------------------------------------------------------------
r6717 | oojah | 2005-01-17 02:02:14 +0100 (Mo, 17 Jan 2005) | 4 lines
Geänderte Pfade:
   D /trunk/ggz/src/ggzcore/Makefile.msys.in
   M /trunk/ggz-client-libs/configure.ac
   D /trunk/ggz-client-libs/ggzmod/Makefile.msys.in
   M /trunk/ggz-client-libs/m4/ggz.m4

Removed misguided Makefiles for building dlls on win32.

configure.ac now natively builds dlls with libtool. If you get errors about wsock32 and pthread not being available as shared libraries, you need to update libtool.

------------------------------------------------------------------------
r6715 | oojah | 2005-01-16 20:10:57 +0100 (So, 16 Jan 2005) | 11 lines
Geänderte Pfade:
   A /trunk/ggz/src/ggzcore/Makefile.msys.in
   M /trunk/ggz-client-libs/configure.ac
   A /trunk/ggz-client-libs/ggzmod/Makefile.msys.in

Added new Makefiles for compiling/linking on win32.

Use

make -f Makefile.msys
make -f Makefile.msys install

etc.

This will produce a .dll file and a .a file for linking against.

------------------------------------------------------------------------
r6709 | josef | 2005-01-16 18:09:08 +0100 (So, 16 Jan 2005) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/ggz-config/readme.ggzconfig

- move available again the ggz-config usage documentation

------------------------------------------------------------------------
r6692 | jdorje | 2005-01-16 04:43:54 +0100 (So, 16 Jan 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

Check for gettext in ggz-client-libs.  This can fix some linkage problems
with popt when compiling with GNU gettext (libintl).

------------------------------------------------------------------------
r6683 | jdorje | 2005-01-15 05:40:06 +0100 (Sa, 15 Jan 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Allow game_fork and game_embedded to be compiled on unix systems without
socketpair.

------------------------------------------------------------------------
r6675 | jdorje | 2005-01-14 08:01:43 +0100 (Fr, 14 Jan 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/m4/ggz.m4
   A /trunk/ggz-client-libs/m4/iconv.m4
   M /trunk/ggz-txt-client/Makefile.am
   M /trunk/ggz-txt-client/m4/ggz.m4
   A /trunk/ggz-txt-client/m4/iconv.m4
   M /trunk/ggzd/Makefile.am
   M /trunk/ggzd/m4/ggz.m4
   A /trunk/ggzd/m4/iconv.m4
   M /trunk/gnome-client/Makefile.am
   M /trunk/gnome-client/m4/ggz.m4
   A /trunk/gnome-client/m4/iconv.m4
   M /trunk/grubby/Makefile.am
   M /trunk/grubby/m4/ggz.m4
   A /trunk/grubby/m4/iconv.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/kde-client/Makefile.am
   M /trunk/kde-client/m4/ggz.m4
   A /trunk/kde-client/m4/iconv.m4
   M /trunk/kde-games/Makefile.am
   M /trunk/kde-games/m4/ggz.m4
   A /trunk/kde-games/m4/iconv.m4
   M /trunk/libggz/Makefile.am
   M /trunk/libggz/m4/ggz.m4
   A /trunk/libggz/m4/iconv.m4
   M /trunk/sdl-games/Makefile.am
   M /trunk/sdl-games/m4/ggz.m4
   A /trunk/sdl-games/m4/iconv.m4
   M /trunk/utils/Makefile.am
   M /trunk/utils/m4/ggz.m4
   A /trunk/utils/m4/iconv.m4

Add support for libintl and libiconv to AC_GGZ_INTL.  This is needed to
compile at all on non-glibc systems.

------------------------------------------------------------------------
r6643 | jdorje | 2005-01-13 03:23:59 +0100 (Do, 13 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggz-txt-client/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Fix a typo in checking for libintl.h and locale.h.

------------------------------------------------------------------------
r6641 | jdorje | 2005-01-13 02:45:15 +0100 (Do, 13 Jan 2005) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggz-txt-client/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

Define ENABLE_NLS if NLS is present.  This is standard, even though it's
not helpful for most packages since NLS is manditory.

------------------------------------------------------------------------
r6636 | jdorje | 2005-01-11 04:14:32 +0100 (Di, 11 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/frontend/kde/ggzcore++/src/Makefile.am
   M /trunk/ggz/src/frontend/kde/src/Makefile.am
   M /trunk/ggz/src/frontend/kde/src/abstract/Makefile.am
   M /trunk/ggz/src/frontend/kde/src/widgets/Makefile.am
   M /trunk/ggz/src/frontend/kde/src/widgets/more/Makefile.am
   M /trunk/ggz/src/frontend/text/Makefile.am
   M /trunk/ggz-client-libs/ggz-wrapper/Makefile.am
   M /trunk/ggz-txt-client/tttxt/Makefile.am
   M /trunk/gnome-client/src/Makefile.am
   M /trunk/grubby/games/guru-chess/Makefile.am
   M /trunk/grubby/games/guru-ttt/Makefile.am
   M /trunk/grubby/games/lib/Makefile.am
   M /trunk/grubby/grubby/modules/Makefile.am
   M /trunk/grubby/grubby/src/Makefile.am
   M /trunk/gtk-client/gaim-plugin/Makefile.am
   M /trunk/kde-client/compcal/src/Makefile.am
   M /trunk/kde-client/compcal/src/lib/Makefile.am
   M /trunk/kde-client/ggzap/Makefile.am
   M /trunk/kde-client/kcm_ggz/Makefile.am
   M /trunk/kde-client/kcm_ggz/modules/Makefile.am
   M /trunk/kde-client/keepalivecontrol/src/Makefile.am
   M /trunk/kde-client/kio_ggz/Makefile.am
   M /trunk/kde-client/kio_ggzmeta/Makefile.am
   M /trunk/kde-client/modsniff/Makefile.am
   M /trunk/kde-client/shadowbridge/Makefile.am
   M /trunk/kde-games/KReversi/Makefile.am
   M /trunk/kde-games/fyrdman/Makefile.am
   M /trunk/kde-games/kcc/Makefile.am
   M /trunk/kde-games/kdots/Dot/Makefile.am
   M /trunk/kde-games/kdots/Makefile.am
   M /trunk/kde-games/keepalive/src/Makefile.am
   M /trunk/kde-games/koenig/Makefile.am
   M /trunk/kde-games/krosswater/Makefile.am
   M /trunk/kde-games/krosswater/zoneclient/Makefile.am
   M /trunk/kde-games/ktictactux/Makefile.am
   M /trunk/kde-games/lib/Makefile.am
   M /trunk/kde-games/muehle/src/Makefile.am
   M /trunk/kde-games/muehle/src/ggzwrap/Makefile.am
   M /trunk/sdl-games/geekgame/Makefile.am
   M /trunk/sdl-games/ttt3d/Makefile.am

Replace deprated INCLUDES directive with AM_CPPFLAGS.

------------------------------------------------------------------------
r6635 | jdorje | 2005-01-11 03:46:46 +0100 (Di, 11 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/game.c
   M /trunk/ggz-client-libs/ggz-wrapper/ggz-wrapper.c
   M /trunk/ggz-client-libs/ggz-wrapper/loop.c
   M /trunk/ggz-client-libs/ggz-wrapper/server.c

Various compiling fixes for windows and other platforms.

------------------------------------------------------------------------
r6634 | jdorje | 2005-01-11 03:44:38 +0100 (Di, 11 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

Check for the alarm function.

------------------------------------------------------------------------
r6633 | jdorje | 2005-01-11 03:44:15 +0100 (Di, 11 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Fix a typo in HAVE_SOCKETPAIR.

------------------------------------------------------------------------
r6632 | jdorje | 2005-01-11 02:26:25 +0100 (Di, 11 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Fix problems with embedded ggzmod on windows.

------------------------------------------------------------------------
r6614 | josef | 2005-01-08 20:03:18 +0100 (Sa, 08 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz/src/ggzcore/init.c
   M /trunk/ggz/src/ggzcore/module.c
   M /trunk/ggz/src/ggzcore/module.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

- support for ggzcore embedded mode

------------------------------------------------------------------------
r6612 | jdorje | 2005-01-08 19:18:04 +0100 (Sa, 08 Jan 2005) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

ggzmod_dispatch should return 0 if select returns 0.

------------------------------------------------------------------------
r6557 | josef | 2004-12-22 22:05:21 +0100 (Mi, 22 Dez 2004) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggz-config.6.in

- document --modfile instead of --fromfile

About the -D option, I don't know yet - ideally it wouldn't be needed but we
need to check the 'make distcheck' command without it.

------------------------------------------------------------------------
r6556 | josef | 2004-12-22 17:38:28 +0100 (Mi, 22 Dez 2004) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggz-config/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/Makefile.am

- get rid of @LDADD@ usage altogether, and use proper $(...) variables
  for FOO_LDADD, FOO_LDFLAGS and LIB_FOO

------------------------------------------------------------------------
r6502 | josef | 2004-12-16 01:50:26 +0100 (Do, 16 Dez 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/Makefile.am

- install manpage (grmpf)

------------------------------------------------------------------------
r6501 | josef | 2004-12-16 01:45:48 +0100 (Do, 16 Dez 2004) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/man/ggz-wrapper.6

- manpage for ggz-wrapper

------------------------------------------------------------------------
r6500 | josef | 2004-12-16 01:20:36 +0100 (Do, 16 Dez 2004) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-wrapper/game.c
   M /trunk/ggz-client-libs/ggz-wrapper/game.h
   M /trunk/ggz-client-libs/ggz-wrapper/server.c

- pass empty destplayer string for bot opponents

e.g. ggz-wrapper -g TicTacToe -d ""

------------------------------------------------------------------------
r6494 | josef | 2004-12-15 22:17:08 +0100 (Mi, 15 Dez 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac

- compile ggz-wrapper

------------------------------------------------------------------------
r6493 | josef | 2004-12-15 22:16:47 +0100 (Mi, 15 Dez 2004) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/ggz-wrapper
   A /trunk/ggz-client-libs/ggz-wrapper/.cvsignore
   A /trunk/ggz-client-libs/ggz-wrapper/Makefile.am
   A /trunk/ggz-client-libs/ggz-wrapper/game.c
   A /trunk/ggz-client-libs/ggz-wrapper/game.h
   A /trunk/ggz-client-libs/ggz-wrapper/ggz-wrapper.c
   A /trunk/ggz-client-libs/ggz-wrapper/loop.c
   A /trunk/ggz-client-libs/ggz-wrapper/loop.h
   A /trunk/ggz-client-libs/ggz-wrapper/server.c
   A /trunk/ggz-client-libs/ggz-wrapper/server.h

- move ggz-wrapper, the generic command-line GGZ core client

------------------------------------------------------------------------
r6424 | jdorje | 2004-11-24 09:41:00 +0100 (Mi, 24 Nov 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Improve the documentation.

------------------------------------------------------------------------
r6332 | jdorje | 2004-11-12 01:14:36 +0100 (Fr, 12 Nov 2004) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Add ggzmod_get_server_fd().  This function was included in the header but
forgotten from the backend.

------------------------------------------------------------------------
r6257 | jdorje | 2004-11-04 23:53:36 +0100 (Do, 04 Nov 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/chess/Makefile.am
   M /trunk/ggz/game_clients/chinese-checkers/Makefile.am
   M /trunk/ggz/game_clients/combat/Makefile.am
   M /trunk/ggz/game_clients/common/Makefile.am
   M /trunk/ggz/game_clients/dots/Makefile.am
   M /trunk/ggz/game_clients/ggzcards/Makefile.am
   M /trunk/ggz/game_clients/ggzcards/client/Makefile.am
   M /trunk/ggz/game_clients/hastings/Makefile.am
   M /trunk/ggz/game_clients/reversi/Makefile.am
   M /trunk/ggz/game_clients/spades/Makefile.am
   M /trunk/ggz/game_clients/tictactoe/Makefile.am
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggz-config/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/libggz/src/security/Makefile.am
   M /trunk/libggz/tests/Makefile.am

Change INCLUDES to AM_CPPFLAGS.

------------------------------------------------------------------------
r6176 | jdorje | 2004-09-04 09:22:54 +0200 (Sa, 04 Sep 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/tests/Makefile.am

Small compilation improvements for windows.

------------------------------------------------------------------------
r6174 | jdorje | 2004-09-04 09:05:09 +0200 (Sa, 04 Sep 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   A /trunk/ggz-client-libs/tests
   A /trunk/ggz-client-libs/tests/.cvsignore
   A /trunk/ggz-client-libs/tests/Makefile.am
   A /trunk/ggz-client-libs/tests/ggzmodgametest.c
   A /trunk/ggz-client-libs/tests/ggzmodtest.c

Add a simple ggzmod test.

------------------------------------------------------------------------
r6173 | jdorje | 2004-09-04 08:29:25 +0200 (Sa, 04 Sep 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Add an experimental (untested) method of creating a GGZMod in windows.

------------------------------------------------------------------------
r6172 | jdorje | 2004-09-04 07:39:38 +0200 (Sa, 04 Sep 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

Don't use AC_FUNC_MALLOC.

------------------------------------------------------------------------
r6171 | jdorje | 2004-09-04 07:38:40 +0200 (Sa, 04 Sep 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

Use ggz_malloc, not malloc.

------------------------------------------------------------------------
r6153 | josef | 2004-07-18 02:37:08 +0200 (So, 18 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/docs/ChangeLog
   M /trunk/ggz/game_clients/ChangeLog
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggz-txt-client/ChangeLog
   M /trunk/ggzd/ChangeLog
   M /trunk/gnome-client/ChangeLog
   M /trunk/grubby/ChangeLog
   M /trunk/gtk-client/ChangeLog
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/ChangeLog
   M /trunk/libggz/ChangeLog
   M /trunk/python/ChangeLog
   M /trunk/sdl-games/ChangeLog
   M /trunk/utils/ChangeLog

- changelog update

------------------------------------------------------------------------
r6151 | josef | 2004-07-18 00:45:57 +0200 (So, 18 Jul 2004) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/mod.h

- don't let ggzmod lose the statistics

Their transmission from ggzcore to ggzmod is still missing.
But this will probably not be done for 0.0.9 anyway, as it is only used
by ktictactux.

------------------------------------------------------------------------
r6150 | josef | 2004-07-17 22:42:55 +0200 (Sa, 17 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

- forgot one long value

------------------------------------------------------------------------
r6149 | josef | 2004-07-17 22:41:02 +0200 (Sa, 17 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- more long -> int conversion for highscores

------------------------------------------------------------------------
r6143 | josef | 2004-07-17 17:57:24 +0200 (Sa, 17 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am

- ggz-config, like all core clients, needs to link in ggzmod now

------------------------------------------------------------------------
r6135 | josef | 2004-07-17 05:59:30 +0200 (Sa, 17 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggzd/Makefile.am
   M /trunk/grubby/Makefile.am
   M /trunk/kde-client/Makefile.am
   M /trunk/kde-games/Makefile.am
   M /trunk/libggz/Makefile.am
   M /trunk/utils/Makefile.am

- fix libtool.m4 inclusion

------------------------------------------------------------------------
r6127 | josef | 2004-07-17 03:53:27 +0200 (Sa, 17 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggz-client-libs/man/ggz-config.6.in
   M /trunk/ggz-client-libs/man/ggz.modules.5.in
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in
   M /trunk/ggzd/ggzdmod/Doxyfile
   M /trunk/ggzd/man/ggzd.6
   M /trunk/ggzd/man/ggzdmod.h.3
   M /trunk/ggzd/man/ggzduedit.6
   M /trunk/libggz/Doxyfile
   M /trunk/libggz/man/ggz.h.3

- manpage updates

------------------------------------------------------------------------
r6124 | josef | 2004-07-17 02:44:02 +0200 (Sa, 17 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggzd/ggzdmod/Makefile.am
   M /trunk/ggzd/ggzdmod/ggzdmod.h

- new library interface version

------------------------------------------------------------------------
r6117 | josef | 2004-07-16 21:08:39 +0200 (Fr, 16 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/docs/AUTHORS
   M /trunk/docs/NEWS
   M /trunk/docs/QuickStart.GGZ
   M /trunk/docs/README.GGZ
   M /trunk/docs/configure.ac
   M /trunk/ggz/game_clients/AUTHORS
   M /trunk/ggz/game_clients/NEWS
   M /trunk/ggz/game_clients/QuickStart.GGZ
   M /trunk/ggz/game_clients/README
   M /trunk/ggz/game_clients/README.GGZ
   M /trunk/ggz/game_clients/configure.ac
   M /trunk/ggz-client-libs/AUTHORS
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-txt-client/AUTHORS
   M /trunk/ggz-txt-client/NEWS
   M /trunk/ggz-txt-client/QuickStart.GGZ
   M /trunk/ggz-txt-client/README.GGZ
   M /trunk/ggz-txt-client/configure.ac
   M /trunk/ggzd/AUTHORS
   M /trunk/ggzd/NEWS
   M /trunk/ggzd/README.GGZ
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/AUTHORS
   M /trunk/gnome-client/NEWS
   M /trunk/gnome-client/QuickStart.GGZ
   M /trunk/gnome-client/README
   M /trunk/gnome-client/README.GGZ
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/AUTHORS
   M /trunk/grubby/NEWS
   M /trunk/grubby/README
   M /trunk/grubby/README.GGZ
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/AUTHORS
   M /trunk/gtk-client/NEWS
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/README
   M /trunk/gtk-client/README.GGZ
   M /trunk/gtk-client/configure.ac
   M /trunk/kde-client/AUTHORS
   M /trunk/kde-client/NEWS
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/README
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/AUTHORS
   M /trunk/kde-games/NEWS
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/README
   M /trunk/kde-games/README.GGZ
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/AUTHORS
   M /trunk/libggz/NEWS
   M /trunk/libggz/QuickStart.GGZ
   M /trunk/libggz/README.GGZ
   M /trunk/libggz/configure.ac
   M /trunk/sdl-games/AUTHORS
   M /trunk/sdl-games/NEWS
   M /trunk/sdl-games/QuickStart.GGZ
   M /trunk/sdl-games/README
   M /trunk/sdl-games/README.GGZ
   M /trunk/sdl-games/configure.ac
   M /trunk/utils/AUTHORS
   M /trunk/utils/NEWS
   M /trunk/utils/README
   M /trunk/utils/README.GGZ
   M /trunk/utils/configure.ac

- 0.0.9 updates propagation

------------------------------------------------------------------------
r6112 | jdorje | 2004-07-16 19:31:15 +0200 (Fr, 16 Jul 2004) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

Add limited ggzmod support for stats.  Stats may be sent by ggzcore to
the game client, but ggzmod loses them midway.  The network protocol is
updated to support stats, however.

------------------------------------------------------------------------
r6106 | jdorje | 2004-07-15 20:06:13 +0200 (Do, 15 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Add the API functions for ggzmod support for spectator stats.

------------------------------------------------------------------------
r6105 | jdorje | 2004-07-15 18:43:00 +0200 (Do, 15 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Add the API functions for ggzmod support for stats.

------------------------------------------------------------------------
r6098 | josef | 2004-07-13 16:56:49 +0200 (Di, 13 Jul 2004) | 2 lines
Geänderte Pfade:
   D /trunk/ggz-client-libs/m4/libtool.m4
   D /trunk/ggzd/m4/libtool.m4
   D /trunk/grubby/m4/libtool.m4
   D /trunk/kde-client/m4/libtool.m4
   D /trunk/kde-games/m4/libtool.m4
   D /trunk/libggz/m4/libtool.m4
   D /trunk/utils/m4/libtool.m4

- remove libtool macros

------------------------------------------------------------------------
r6074 | jdorje | 2004-07-10 19:45:53 +0200 (Sa, 10 Jul 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/m4/libtool.m4
   M /trunk/ggzd/m4/libtool.m4
   M /trunk/grubby/m4/libtool.m4
   M /trunk/kde-client/m4/libtool.m4
   M /trunk/utils/m4/libtool.m4

Update libtool.m4.

------------------------------------------------------------------------
r6031 | josef | 2004-06-13 19:20:42 +0200 (So, 13 Jun 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- do not write environment if it is Null (default)

------------------------------------------------------------------------
r5972 | josef | 2004-03-22 18:05:09 +0100 (Mo, 22 Mär 2004) | 9 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz/src/ggzcore/module.c
   M /trunk/ggz/src/ggzcore/module.h
   M /trunk/ggz/src/ggzcore/net.h
   M /trunk/ggz/src/ggzcore/netxml.c
   M /trunk/ggz/src/ggzcore/server.h
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

- implement game module environment information:
  X11/fullscreen, X11/window, framebuffer, console, no input/output (passive)
- deprecate GGZNet* from public API

GGZModuleEnvironment ggz_module_get_environment(GGZModule*) is new.

The only function which changed is ggzcore_module_add().
This function should probably become non-public as well.

------------------------------------------------------------------------
r5961 | jdorje | 2004-02-28 02:58:10 +0100 (Sa, 28 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   A /trunk/ggz-client-libs/m4/libtool.m4
   M /trunk/ggzd/Makefile.am
   A /trunk/ggzd/m4/libtool.m4
   M /trunk/grubby/Makefile.am
   A /trunk/grubby/m4/libtool.m4
   M /trunk/kde-client/Makefile.am
   A /trunk/kde-client/m4/libtool.m4
   M /trunk/kde-games/Makefile.am
   A /trunk/kde-games/m4/libtool.m4
   M /trunk/utils/Makefile.am
   A /trunk/utils/m4/libtool.m4

Add libtool.m4 to CVS.

------------------------------------------------------------------------
r5956 | jdorje | 2004-02-21 09:51:32 +0100 (Sa, 21 Feb 2004) | 7 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggz-txt-client/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/libggz/Makefile.am
   A /trunk/libggz/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- Copy ggz.m4 into libggz.
- Declare the libggz copy to be the master copy.
- Use AC_HELP_STRING inside AC_ARG_WITH.
- Replace the history section (which was getting really big) with a
  reference to CVS.
- Propogate the changes back into all modules.

------------------------------------------------------------------------
r5949 | jdorje | 2004-02-21 06:42:37 +0100 (Sa, 21 Feb 2004) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz/src/ggzcore/game.h
   M /trunk/ggz/src/ggzcore/room.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

Exchange table chats with the game client.  This allows the game client to
show table chats internally.

------------------------------------------------------------------------
r5947 | jdorje | 2004-02-21 06:07:03 +0100 (Sa, 21 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Remove the idiotic duplicate fork call of a previous commit.

------------------------------------------------------------------------
r5946 | jdorje | 2004-02-16 23:39:15 +0100 (Mo, 16 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/ggz-config.c

Two hacks to compile ggz-config for win32.

------------------------------------------------------------------------
r5945 | jdorje | 2004-02-16 23:19:52 +0100 (Mo, 16 Feb 2004) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/netxml.c
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/mod.h

If fork, kill, and wait are not present, use the corresponding Windows
functions instead.

------------------------------------------------------------------------
r5944 | jdorje | 2004-02-16 18:31:18 +0100 (Mo, 16 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-config/Makefile.am

Fix INCLUDES.

------------------------------------------------------------------------
r5943 | jdorje | 2004-02-16 18:20:34 +0100 (Mo, 16 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore
   M /trunk/ggz/src/ggzcore/.cvsignore
   M /trunk/ggz/src/ggzcore/Makefile.am
   D /trunk/ggz/src/ggzcore/ggz-config.c
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   A /trunk/ggz-client-libs/ggz-config
   A /trunk/ggz-client-libs/ggz-config/.cvsignore
   A /trunk/ggz-client-libs/ggz-config/Makefile.am
   A /trunk/ggz-client-libs/ggz-config/ggz-config.c

ggz-config gets its own directory.

------------------------------------------------------------------------
r5942 | jdorje | 2004-02-16 18:07:31 +0100 (Mo, 16 Feb 2004) | 8 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz/src/ggzcore/hook.c
   M /trunk/ggz/src/ggzcore/netxml.c
   M /trunk/ggz/src/ggzcore/server.c
   M /trunk/ggz-client-libs/configure.ac

- Check for close and hstrerror functions.
- Don't use poll.h.
- Don't use poll (use select instead).
- use fopen and fwrite instead of open and write.
- #include <winsock.h> if it's available.
- Use closesocket if close isn't available.
- Don't use hstrerror if it's not available.

------------------------------------------------------------------------
r5941 | jdorje | 2004-02-16 08:57:50 +0100 (Mo, 16 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

Fork and select checks may fail under mingw.

------------------------------------------------------------------------
r5881 | josef | 2004-02-10 08:59:33 +0100 (Di, 10 Feb 2004) | 2 lines
Geänderte Pfade:
   D /trunk/ggz-client-libs/debian
   D /trunk/ggz-client-libs/ggz-client-libs.spec

- third round of removals of distribution files

------------------------------------------------------------------------
r5862 | jdorje | 2004-02-09 05:58:25 +0100 (Mo, 09 Feb 2004) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Add checks for sys/socket.h, sys/select.h, and winsock.h before #including
them.

------------------------------------------------------------------------
r5861 | jdorje | 2004-02-09 03:04:04 +0100 (Mo, 09 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

Don't include sys/wait.h if it's not present.

------------------------------------------------------------------------
r5860 | jdorje | 2004-02-09 02:54:41 +0100 (Mo, 09 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/server.c
   M /trunk/ggz-client-libs/configure.ac

Don't include netdb.h if it's not present.

------------------------------------------------------------------------
r5825 | josef | 2004-02-07 14:40:42 +0100 (Sa, 07 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in

- doxygen'd manpage updates

------------------------------------------------------------------------
r5819 | josef | 2004-02-07 10:55:32 +0100 (Sa, 07 Feb 2004) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- version goes up to 0.0.8
- interface version doesn't change

------------------------------------------------------------------------
r5799 | josef | 2004-02-05 12:56:51 +0100 (Do, 05 Feb 2004) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggz-config.6.in
   M /trunk/ggz-client-libs/man/ggz.modules.5.in

- version updates
- add authors field to ggz.modules

------------------------------------------------------------------------
r5792 | josef | 2004-02-05 12:38:16 +0100 (Do, 05 Feb 2004) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggzd/ggzdmod/Doxyfile
   M /trunk/libggz/Doxyfile

- doxy version bump

------------------------------------------------------------------------
r5790 | josef | 2004-02-05 11:46:53 +0100 (Do, 05 Feb 2004) | 7 lines
Geänderte Pfade:
   M /trunk/docs/ChangeLog
   M /trunk/ggz/game_clients/ChangeLog
   M /trunk/ggz/game_clients/NEWS
   M /trunk/ggz/game_clients/QuickStart.GGZ
   M /trunk/ggz/game_clients/README
   M /trunk/ggz/game_clients/README.GGZ
   M /trunk/ggz/game_clients/configure.ac
   M /trunk/ggz/src/frontend/kde/po/es.po
   M /trunk/ggz/src/frontend/kde/po/fr.po
   M /trunk/ggz/src/frontend/kde/po/pt_BR.po
   M /trunk/ggz/src/ggzcore/ggz-config.c
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-txt-client/ChangeLog
   M /trunk/ggz-txt-client/NEWS
   M /trunk/ggz-txt-client/QuickStart.GGZ
   M /trunk/ggz-txt-client/README
   M /trunk/ggz-txt-client/README.GGZ
   M /trunk/ggz-txt-client/configure.ac
   M /trunk/ggzd/ChangeLog
   M /trunk/ggzd/NEWS
   M /trunk/ggzd/README
   M /trunk/ggzd/README.GGZ
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/ChangeLog
   M /trunk/gnome-client/NEWS
   M /trunk/gnome-client/QuickStart.GGZ
   M /trunk/gnome-client/README
   M /trunk/gnome-client/README.GGZ
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/ChangeLog
   M /trunk/grubby/NEWS
   M /trunk/grubby/README
   M /trunk/grubby/README.GGZ
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/ChangeLog
   M /trunk/gtk-client/NEWS
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/README
   M /trunk/gtk-client/README.GGZ
   M /trunk/gtk-client/configure.ac
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-client/NEWS
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/README
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/ChangeLog
   M /trunk/kde-games/NEWS
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/README
   M /trunk/kde-games/README.GGZ
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/ChangeLog
   M /trunk/libggz/NEWS
   M /trunk/libggz/QuickStart.GGZ
   M /trunk/libggz/README
   M /trunk/libggz/README.GGZ
   M /trunk/libggz/configure.ac
   A /trunk/python/ChangeLog
   A /trunk/python/NEWS
   M /trunk/python/README
   A /trunk/python/README.GGZ
   M /trunk/python/configure.ac
   M /trunk/sdl-games/ChangeLog
   M /trunk/sdl-games/NEWS
   M /trunk/sdl-games/QuickStart.GGZ
   M /trunk/sdl-games/README
   M /trunk/sdl-games/README.GGZ
   M /trunk/sdl-games/configure.ac
   M /trunk/utils/ChangeLog
   M /trunk/utils/NEWS
   M /trunk/utils/README
   M /trunk/utils/README.GGZ
   M /trunk/utils/configure.ac

- synchronized NEWS, README.GGZ and QuickStart.GGZ from docs
- updated README
  * new URLs for developers, bugs, website
  * no more per-package maintainer mention (it was never valid anyway)
- updated configure.ac to indicate final version 0.0.8
- ChangeLog updates

------------------------------------------------------------------------
r5770 | josef | 2004-01-31 11:54:44 +0100 (Sa, 31 Jan 2004) | 2 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz/game_clients/autogen.sh
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-txt-client/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/autogen.sh
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/autogen.sh
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/sdl-games/autogen.sh
   M /trunk/utils/autogen.sh
   M /trunk/utils/m4/ggz.m4

- sync common files

------------------------------------------------------------------------
r5749 | josef | 2004-01-27 09:55:45 +0100 (Di, 27 Jan 2004) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/m4/ggz-debug.m4
   M /trunk/ggz-client-libs/m4/ggz.m4

- prevent underquoting in ggz.m4 as well
- change maintainer list address
- remove odd comma

The first two changes must be propagated to all GGZ modules!

------------------------------------------------------------------------
r5740 | dr_maux | 2004-01-17 19:46:28 +0100 (Sa, 17 Jan 2004) | 2 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz/game_clients/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-txt-client/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/autogen.sh
   M /trunk/libggz/autogen.sh
   M /trunk/sdl-games/autogen.sh
   M /trunk/utils/autogen.sh

- sync

------------------------------------------------------------------------
r5727 | dr_maux | 2003-12-31 18:02:57 +0100 (Mi, 31 Dez 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-txt-client/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/utils/configure.ac

- use new-style AC_INIT

------------------------------------------------------------------------
r5702 | jdorje | 2003-12-05 00:59:31 +0100 (Fr, 05 Dez 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-client-libs/m4/ggz-debug.m4
   M /trunk/ggzd/configure.ac
   M /trunk/ggzd/m4/ggz-debug.m4

Move the -Wall test into the AC_GGZ_DEBUG macro.

------------------------------------------------------------------------
r5699 | jdorje | 2003-12-04 23:58:27 +0100 (Do, 04 Dez 2003) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.ac

Rewrite large parts of the autoconf file to satisfy autoscan and make it
prettier.

------------------------------------------------------------------------
r5695 | jdorje | 2003-12-04 08:54:47 +0100 (Do, 04 Dez 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.ac
   A /trunk/ggz-client-libs/m4/ggz-debug.m4

Use the AC_GGZ_DEBUG macro to determine debugging info.

------------------------------------------------------------------------
r5693 | jdorje | 2003-12-04 08:15:41 +0100 (Do, 04 Dez 2003) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gtk-client/configure.ac

Use AM_CONFIG_HEADER instead of AC_CONFIG_HEADER.  This is required by
automake.

------------------------------------------------------------------------
r5620 | jdorje | 2003-07-12 01:20:45 +0200 (Sa, 12 Jul 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/configure.ac

Don't link ggzmod with expat or popt libraries (only ggzcore uses these).

------------------------------------------------------------------------
r5588 | dr_maux | 2003-05-17 10:10:42 +0200 (Sa, 17 Mai 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/ChangeLog
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggz-txt-client/ChangeLog
   M /trunk/ggzd/ChangeLog
   M /trunk/gnome-client/ChangeLog
   M /trunk/grubby/ChangeLog
   M /trunk/gtk-client/ChangeLog
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/ChangeLog
   M /trunk/libggz/ChangeLog
   M /trunk/sdl-games/ChangeLog
   M /trunk/utils/ChangeLog

- update changelog

------------------------------------------------------------------------
r5583 | dr_maux | 2003-05-16 20:34:45 +0200 (Fr, 16 Mai 2003) | 2 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz/game_clients/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-txt-client/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/gtk-client/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/autogen.sh
   M /trunk/sdl-games/autogen.sh
   M /trunk/utils/autogen.sh

- apply autogen.sh changes from libggz

------------------------------------------------------------------------
r5567 | dr_maux | 2003-05-11 11:21:50 +0200 (So, 11 Mai 2003) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Doxyfile
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/man/ggz-config.6.in
   M /trunk/ggz-client-libs/man/ggz.modules.5.in
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in

- updated apidox
- updated library interface version numbers

------------------------------------------------------------------------
r5563 | dr_maux | 2003-05-11 01:54:28 +0200 (So, 11 Mai 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/configure.ac
   M /trunk/ggz-client-libs/configure.ac
   M /trunk/ggz-txt-client/configure.ac
   M /trunk/ggzd/configure.ac
   M /trunk/gnome-client/configure.ac
   M /trunk/grubby/configure.ac
   M /trunk/gtk-client/configure.ac
   M /trunk/kde-client/configure.ac
   M /trunk/kde-games/configure.ac
   M /trunk/libggz/configure.ac
   M /trunk/sdl-games/configure.ac
   M /trunk/utils/configure.ac

- set the package version number (via configure.ac) to 0.0.7

------------------------------------------------------------------------
r5561 | dr_maux | 2003-05-11 01:46:58 +0200 (So, 11 Mai 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/README
   M /trunk/grubby/README
   M /trunk/gtk-client/README
   M /trunk/kde-client/README
   M /trunk/utils/README

- version update

------------------------------------------------------------------------
r5545 | dr_maux | 2003-05-11 01:15:23 +0200 (So, 11 Mai 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-client-libs/autogen.sh

- update common files for 0.0.7 in ggz-client-libs

------------------------------------------------------------------------
r5539 | dr_maux | 2003-05-10 16:38:57 +0200 (Sa, 10 Mai 2003) | 2 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz/game_clients/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-txt-client/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/gtk-client/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/autogen.sh
   M /trunk/sdl-games/autogen.sh
   M /trunk/utils/autogen.sh

- sync autogen.sh

------------------------------------------------------------------------
r5499 | dr_maux | 2003-05-05 15:01:25 +0200 (Mo, 05 Mai 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4

- add -fsigned-char to C(XX)FLAGS by default where it's due

------------------------------------------------------------------------
r5476 | dr_maux | 2003-03-29 11:33:32 +0100 (Sa, 29 Mär 2003) | 2 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz/game_clients/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-txt-client/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/gtk-client/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/autogen.sh
   M /trunk/sdl-games/autogen.sh
   M /trunk/utils/autogen.sh

- apply improverished autogen globally

------------------------------------------------------------------------
r5475 | dr_maux | 2003-03-29 11:27:44 +0100 (Sa, 29 Mär 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/m4/ggz.m4
   M /trunk/ggz-client-libs/m4/ggz.m4
   M /trunk/ggz-txt-client/m4/ggz.m4
   M /trunk/ggzd/m4/ggz.m4
   M /trunk/gnome-client/m4/ggz.m4
   M /trunk/grubby/m4/ggz.m4
   M /trunk/gtk-client/m4/ggz.m4
   M /trunk/kde-client/m4/ggz.m4
   M /trunk/kde-games/m4/ggz.m4
   M /trunk/sdl-games/m4/ggz.m4
   M /trunk/utils/m4/ggz.m4

- update GGZ macro file

------------------------------------------------------------------------
r5413 | dr_maux | 2003-02-16 14:02:09 +0100 (So, 16 Feb 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-txt-client/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/gtk-client/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/autogen.sh
   M /trunk/libggz/autogen.sh
   M /trunk/sdl-games/autogen.sh
   M /trunk/utils/autogen.sh

- new autogen.sh

------------------------------------------------------------------------
r5371 | jdorje | 2003-02-04 10:18:09 +0100 (Di, 04 Feb 2003) | 2 lines
Geänderte Pfade:
   D /trunk/ggz-client-libs/acconfig.h
   M /trunk/ggz-client-libs/configure.ac

Various updates for autoconf2.5x usage.

------------------------------------------------------------------------
r5358 | jdorje | 2003-02-04 02:55:26 +0100 (Di, 04 Feb 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/autogen.sh
   A /trunk/ggz/game_clients/configure.ac
   D /trunk/ggz/game_clients/configure.in
   M /trunk/ggz-client-libs/autogen.sh
   A /trunk/ggz-client-libs/configure.ac
   D /trunk/ggz-client-libs/configure.in
   M /trunk/ggzd/autogen.sh
   A /trunk/ggzd/configure.ac
   D /trunk/ggzd/configure.in
   M /trunk/gnome-client/autogen.sh
   A /trunk/gnome-client/configure.ac
   D /trunk/gnome-client/configure.in
   M /trunk/gtk-client/autogen.sh
   A /trunk/gtk-client/configure.ac
   D /trunk/gtk-client/configure.in

Step 1 of autoconf2.5x-only support: rename configure.in as configure.ac.

------------------------------------------------------------------------
r5347 | dr_maux | 2003-01-23 18:11:10 +0100 (Do, 23 Jan 2003) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

- add versioning information for ggzmod

------------------------------------------------------------------------
r5297 | jdorje | 2002-12-17 22:41:53 +0100 (Di, 17 Dez 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   D /trunk/ggz-client-libs/acinclude.ggz
   M /trunk/ggz-client-libs/autogen.sh
   A /trunk/ggz-client-libs/m4
   A /trunk/ggz-client-libs/m4/ggz.m4

Move acinclude.ggz to m4/ggz.m4.

------------------------------------------------------------------------
r5173 | jdorje | 2002-11-03 20:30:53 +0100 (So, 03 Nov 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c

- Mark some char * strings as const char *.
- Pass a real pointer-to-integer to ggz_read_int; don't fake it.

------------------------------------------------------------------------
r5024 | jdorje | 2002-10-25 10:11:17 +0200 (Fr, 25 Okt 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c

After kill()ing the game client, wait() for it to die.  Thus we can avoid
creating arbitrary defunct processees.

------------------------------------------------------------------------
r4968 | jdorje | 2002-10-21 06:27:00 +0200 (Mo, 21 Okt 2002) | 17 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   A /trunk/ggz-client-libs/ggzmod/ggzmod-ggz.h
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

- Created new file ggzmod-ggz.h, where all interface that is GGZ-specific
  goes.  This way the library can be the same, but game developers won't
  have to look at the (growing amount of) GGZ-specific portions.
- Moved ggzmod_set_module, ggzmod_set_player, ggzmod_set_seat,
  ggzmod_set_spectator_seat into ggzmod-ggz.h.
- Added functions ggzmod_request_stand, ggzmod_request_sit,
  ggzmod_request_boot, ggzmod_request_bot, ggzmod_request_open to
  ggzmod.h.
- Implemented the backend code so that if a transaction request function
  is called by the game, the GGZ side of ggzmod will be told about it.
- Added the GGZModTransaction type, and a GGZdModTransactionHandler
  function type for GGZ to use.  This allows the handling of transaction
  requests to be kept separate from the code game developers need to see.
- When each transaction is requested by the game client, the appropriate
  transaction handler will be called by the GGZ side of ggzmod.  Thus
  ggzcore will be able to forward the requests to ggzd.

------------------------------------------------------------------------
r4929 | jdorje | 2002-10-16 02:07:30 +0200 (Mi, 16 Okt 2002) | 16 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/acinclude.ggz
   M /trunk/ggz-client-libs/acinclude.ggz
   M /trunk/ggz-txt-client/acinclude.ggz
   M /trunk/ggzd/acinclude.ggz
   M /trunk/gnome-client/acinclude.ggz
   M /trunk/grubby/acinclude.ggz
   M /trunk/gtk-client/acinclude.ggz
   M /trunk/kde-client/acinclude.ggz
   M /trunk/kde-games/acinclude.ggz
   M /trunk/utils/acinclude.ggz

Improvement (hopefully :-) to acinclude.ggz.  Now each GGZ check takes
two optional parameters.  For instance:

  AC_GGZ_LIBGGZ(action-if-found, action-if-not-found)

'action-if-found' will be evaluated if the specified module was found.
'action-if-not-found' will be evaluated if the module is not found.  This
is consistent with other autoconf macros.  If 'action-is-not-found' is
empty, then an error will be emitted if the module isn't found.  If
'action-if-not-found' is "ignore", then the module will simply be ignored
if it's not found.

This is not entirely backwards-compatible, since "ignore" used to be
the first parameter to the macro.  But this way is more consistent, in
my opinion.

------------------------------------------------------------------------
r4927 | jdorje | 2002-10-15 03:57:43 +0200 (Di, 15 Okt 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/io.c

Fixes to seat, spectator seat, and player naming (string handling) in
ggzmod.

------------------------------------------------------------------------
r4926 | jdorje | 2002-10-15 03:39:35 +0200 (Di, 15 Okt 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h

Cleanup to ggzmod's launch code.

------------------------------------------------------------------------
r4914 | jdorje | 2002-10-14 23:59:49 +0200 (Mo, 14 Okt 2002) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h

Improvements to the API after realizing I'd forgotten something:
  - The player's name is included with the player (our player) data.
  - Renamed ggzmod_[get|set]_my_seat as ggzmod_[get|set]_player.

------------------------------------------------------------------------
r4912 | jdorje | 2002-10-14 22:22:18 +0200 (Mo, 14 Okt 2002) | 17 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   M /trunk/ggz-client-libs/ggzmod/io.c
   M /trunk/ggz-client-libs/ggzmod/io.h
   M /trunk/ggz-client-libs/ggzmod/mod.h
   M /trunk/ggz-client-libs/ggzmod/protocol.h

Extensive additions to ggzmod to allow game clients to access information
about the current player and the table.

Additions:
- New seat events:
  - GGZMOD_EVENT_PLAYER: when we get information about us (current player)
  - GGZMOD_EVENT_SEAT: when a seat changes
  - GGZMOD_EVENT_SPECTATOR_SEAT: when a spectator seat changes
- New structures GGZSeat and GGZSpectatorSeat; similar to what ggzdmod
  uses.
- New functions for game: ggzmod_get_num_seats, ggzmod_get_seat,
  ggzmod_get_num_spectator_seats, ggzmod_get_spectator_seat,
  ggzmod_get_my_seat.
- New functions for GGZ: ggzmod_set_my_seat, ggzmod_set_seat,
  ggzmod_set_spectator_seat.  Conspicuously absent are ggzmod_set_num_seats
  and ggzmod_set_num_spectator_seats.  Yay.

------------------------------------------------------------------------
r4844 | jdorje | 2002-10-10 19:08:44 +0200 (Do, 10 Okt 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/configure.in

Bumped version numbers to 0.0.7pre.

------------------------------------------------------------------------
r4795 | jdorje | 2002-10-07 23:28:18 +0200 (Mo, 07 Okt 2002) | 2 lines
Geänderte Pfade:
   M /trunk/docs/NEWS
   M /trunk/ggz/game_clients/NEWS
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-txt-client/NEWS
   M /trunk/ggzd/NEWS
   M /trunk/grubby/NEWS
   M /trunk/gtk-client/NEWS
   M /trunk/kde-client/NEWS
   M /trunk/kde-games/NEWS
   M /trunk/libggz/NEWS
   M /trunk/utils/NEWS

Rewrote NEWS for 0.0.6, and propogated it to all modules.

------------------------------------------------------------------------
r4794 | dr_maux | 2002-10-07 23:16:10 +0200 (Mo, 07 Okt 2002) | 2 lines
Geänderte Pfade:
   M /trunk/docs/ChangeLog
   M /trunk/ggz/game_clients/ChangeLog
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggz-txt-client/ChangeLog
   M /trunk/ggzd/ChangeLog
   M /trunk/grubby/ChangeLog
   M /trunk/gtk-client/ChangeLog
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/ChangeLog
   M /trunk/libggz/ChangeLog
   M /trunk/utils/ChangeLog

- update changelog for 0.0.6

------------------------------------------------------------------------
r4785 | dr_maux | 2002-10-01 21:05:44 +0200 (Di, 01 Okt 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-txt-client/configure.in

- use configure.in for AC_INIT

------------------------------------------------------------------------
r4780 | jdorje | 2002-10-01 17:46:11 +0200 (Di, 01 Okt 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in

Update man pages for ggzcore and ggzmod.

------------------------------------------------------------------------
r4779 | jdorje | 2002-10-01 17:44:12 +0200 (Di, 01 Okt 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Doxyfile
   M /trunk/ggz-client-libs/ggzmod/Doxyfile

Bump Doxyfile versions to 0.0.6.

------------------------------------------------------------------------
r4765 | dr_maux | 2002-09-29 14:42:14 +0200 (So, 29 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-client-libs/man/ggz-config.6.in
   M /trunk/ggz-client-libs/man/ggz.modules.5.in

- client libs version number bumping

------------------------------------------------------------------------
r4749 | dr_maux | 2002-09-27 17:35:15 +0200 (Fr, 27 Sep 2002) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am

- increase ggzmod interface version by one

For example, the semantics of ggzmod_connect/disconnect have changed, and
get_udp_fd is not available anymore.

This is, of course, no surprise because of the direct connections.

------------------------------------------------------------------------
r4746 | dr_maux | 2002-09-27 10:58:31 +0200 (Fr, 27 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/docs/autogen.sh
   M /trunk/ggz/game_clients/autogen.sh
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-txt-client/autogen.sh
   M /trunk/ggzd/autogen.sh
   M /trunk/gnome-client/autogen.sh
   M /trunk/grubby/autogen.sh
   M /trunk/gtk-client/autogen.sh
   M /trunk/kde-client/autogen.sh
   M /trunk/kde-games/autogen.sh
   M /trunk/libggz/autogen.sh
   M /trunk/utils/autogen.sh

- new autogen

------------------------------------------------------------------------
r4721 | dr_maux | 2002-09-26 13:03:03 +0200 (Do, 26 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am

- let ggzmod use libggz linkage information, too

------------------------------------------------------------------------
r4716 | dr_maux | 2002-09-26 12:25:05 +0200 (Do, 26 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/acinclude.ggz
   M /trunk/ggz-client-libs/configure.in

- deploy new configuration macros for ggz-client-libs

------------------------------------------------------------------------
r4679 | dr_maux | 2002-09-24 09:36:20 +0200 (Di, 24 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/docs/QuickStart.GGZ
   M /trunk/docs/README.GGZ
   M /trunk/ggz/game_clients/QuickStart.GGZ
   M /trunk/ggz/game_clients/README.GGZ
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-txt-client/QuickStart.GGZ
   M /trunk/ggz-txt-client/README.GGZ
   D /trunk/grubby/QuickStart.GGZ
   M /trunk/grubby/README.GGZ
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/README.GGZ
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/README.GGZ
   M /trunk/libggz/QuickStart.GGZ
   M /trunk/libggz/README.GGZ
   D /trunk/utils/QuickStart.GGZ
   M /trunk/utils/README.GGZ

- update intro docs

------------------------------------------------------------------------
r4674 | jdorje | 2002-09-24 00:45:37 +0200 (Di, 24 Sep 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/acinclude.ggz
   M /trunk/ggz-client-libs/acinclude.ggz
   M /trunk/ggz-txt-client/acinclude.ggz
   M /trunk/ggzd/acinclude.ggz
   M /trunk/gnome-client/acinclude.ggz
   M /trunk/grubby/acinclude.ggz
   M /trunk/gtk-client/acinclude.ggz
   M /trunk/kde-client/acinclude.ggz
   M /trunk/kde-games/acinclude.ggz
   M /trunk/utils/acinclude.ggz

Update acinclude.ggz in the txt-client, and label acinclude.ggz as being
included in txt-client.

------------------------------------------------------------------------
r4631 | jdorje | 2002-09-19 18:18:33 +0200 (Do, 19 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/acinclude.ggz
   M /trunk/ggz-client-libs/acinclude.ggz
   M /trunk/ggzd/acinclude.ggz
   M /trunk/gnome-client/acinclude.ggz
   M /trunk/grubby/acinclude.ggz
   M /trunk/gtk-client/acinclude.ggz
   M /trunk/kde-client/acinclude.ggz
   M /trunk/kde-games/acinclude.ggz
   M /trunk/utils/acinclude.ggz

Include gnome-client on the list of modules that use acinclude.ggz.

------------------------------------------------------------------------
r4628 | jdorje | 2002-09-19 00:27:21 +0200 (Do, 19 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/acconfig.h
   M /trunk/ggz-client-libs/configure.in

If DEBUG isn't enabled (via --enable-debug), define NDEBUG.

------------------------------------------------------------------------
r4597 | jdorje | 2002-09-17 04:40:57 +0200 (Di, 17 Sep 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Makefile.am

Added mod.h and protocol.h to libggzmod_la_SOURCES.

------------------------------------------------------------------------
r4376 | jdorje | 2002-08-20 22:49:40 +0200 (Di, 20 Aug 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/acinclude.ggz
   M /trunk/ggz/game_clients/configure.in
   M /trunk/ggz-client-libs/acinclude.ggz
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggzd/configure.in
   M /trunk/grubby/acinclude.ggz
   M /trunk/gtk-client/acinclude.ggz
   M /trunk/gtk-client/configure.in
   M /trunk/kde-client/acinclude.ggz
   M /trunk/kde-games/acinclude.ggz
   M /trunk/utils/acinclude.ggz

Changed -I<directory> to -isystem<directory> to avoid warnings in gcc3.

------------------------------------------------------------------------
r4352 | jdorje | 2002-08-07 18:43:20 +0200 (Mi, 07 Aug 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in

Updated ggzcore manpage.

------------------------------------------------------------------------
r4349 | jdorje | 2002-08-07 18:36:44 +0200 (Mi, 07 Aug 2002) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/Doxyfile

Updated Doxyfile:
  - Version: 0.0.5pre -> 0.0.6pre
  - Enabled latex output.

------------------------------------------------------------------------
r4343 | jdorje | 2002-08-07 17:31:19 +0200 (Mi, 07 Aug 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in

Updated manpage for ggzmod.

------------------------------------------------------------------------
r4340 | jdorje | 2002-08-07 08:31:34 +0200 (Mi, 07 Aug 2002) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Changed the ggzmod interface slightly: the GGZMOD_EVENT_SERVER event now
passes a pointer to the FD (int*) instead of passing the FD directly
(int).

This makes it consistent with the rest of the ggzmod and ggzdmod api's,
as well as more stable overall.

------------------------------------------------------------------------
r4330 | jdorje | 2002-08-01 06:53:16 +0200 (Do, 01 Aug 2002) | 9 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in

Exit the configure script if expat-dev is not found; don't just give a
warning and continue.  This makes the process nearly identical to what is
used for ggzd.

Note there are a few problems with this system: (1) ggzmod is linked to
expat (as the game servers are in ggzd); (2) if we're only compiling ggzmod
(or the game servers in ggzd) we shouldn't need expat, and (3) there is no
way (that I know of) to compile just ggzmod (without ggzcore).

------------------------------------------------------------------------
r4266 | bmh | 2002-06-22 07:13:43 +0200 (Sa, 22 Jun 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am


- compile ggzmod before ggzcore

------------------------------------------------------------------------
r4264 | bmh | 2002-06-22 07:10:28 +0200 (Sa, 22 Jun 2002) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod
   M /trunk/ggz-client-libs/ggzmod/.cvsignore
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.c
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h
   A /trunk/ggz-client-libs/ggzmod/io.c
   A /trunk/ggz-client-libs/ggzmod/io.h
   A /trunk/ggz-client-libs/ggzmod/mod.h
   A /trunk/ggz-client-libs/ggzmod/protocol.h


- New ggzmod (parallels server-side ggzdmod) with a control channel
  between the ggz client and game modules

------------------------------------------------------------------------
r4200 | dr_maux | 2002-05-15 21:38:30 +0200 (Mi, 15 Mai 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs
   M /trunk/ggz-client-libs/.cvsignore

- silence autoconf's new "autom4te"

------------------------------------------------------------------------
r4196 | dr_maux | 2002-05-13 21:03:57 +0200 (Mo, 13 Mai 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in

- more fixes for ac > 2.5

------------------------------------------------------------------------
r4144 | jdorje | 2002-05-03 07:45:23 +0200 (Fr, 03 Mai 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in

Bumped the version up to 0.0.6pre.

------------------------------------------------------------------------
r3980 | dr_maux | 2002-04-14 14:55:49 +0200 (So, 14 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs
   M /trunk/ggz-client-libs/.cvsignore

- add configure-stamp

------------------------------------------------------------------------
r3961 | bmh | 2002-04-13 07:37:33 +0200 (Sa, 13 Apr 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/gtk-client/ChangeLog


- Updated ChangeLog for 0.0.5

------------------------------------------------------------------------
r3941 | rgade | 2002-04-13 05:55:18 +0200 (Sa, 13 Apr 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-client-libs/ggz-client-libs.spec

- Updated versioning for release
- Updated RPM Spec file for 0.0.5

------------------------------------------------------------------------
r3940 | bmh | 2002-04-13 05:44:04 +0200 (Sa, 13 Apr 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/AUTHORS
   M /trunk/ggz-client-libs/NEWS
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-client-libs/TODO


- Updated doc files

------------------------------------------------------------------------
r3935 | jdorje | 2002-04-13 03:52:38 +0200 (Sa, 13 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man
   M /trunk/ggz-client-libs/man/.cvsignore

Added ggzmod_h.3 to .cvsignore.

------------------------------------------------------------------------
r3933 | jdorje | 2002-04-13 03:45:08 +0200 (Sa, 13 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/ggzcore_h.3.in
   M /trunk/ggz-client-libs/man/ggzmod_h.3.in

Updated man files for ggzmod/ggzcore.

------------------------------------------------------------------------
r3927 | dr_maux | 2002-04-13 02:43:42 +0200 (Sa, 13 Apr 2002) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am

- exclude local clean-rule again
- if at all, it should be present in debian/rules
- oterwhise, 'make clean' broke sometimes

------------------------------------------------------------------------
r3859 | dr_maux | 2002-04-09 22:15:45 +0200 (Di, 09 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian/copyright
   M /trunk/ggz-client-libs/debian/rules

- finalize ggz-client-libs

------------------------------------------------------------------------
r3849 | jdorje | 2002-04-08 07:54:10 +0200 (Mo, 08 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Added extern "C" declaration to ggzmod.h for c++ compilations.

------------------------------------------------------------------------
r3846 | jdorje | 2002-04-08 00:59:20 +0200 (Mo, 08 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggzd/ggzdmod/Makefile.am

Added Doxyfile to EXTRA_DIST.

------------------------------------------------------------------------
r3839 | dr_maux | 2002-04-07 16:36:57 +0200 (So, 07 Apr 2002) | 18 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian/control
   M /trunk/ggz-client-libs/debian/rules

- add --include-conffiles to dh_md5sums

BUG: There's a bug in this tool, I just sent a patch to joeyh@debian.org.
So if you want to build the package on your own, the following patch will help
until a new debhelper version is released:

--- /usr/bin/dh_md5sums.broken  Sun Apr  7 16:10:46 2002
+++ /usr/bin/dh_md5sums Sun Apr  7 16:10:58 2002
@@ -53,7 +53,7 @@

        # Check if we should exclude conffiles.
        my $exclude="";
-       if (! $dh{INCLUDE} && -r "$tmp/DEBIAN/conffiles") {
+       if (! $dh{INCLUDE_CONFFILES} && -r $tmp/DEBIAN/conffiles") {
                # Generate exclude regexp.
                open (CONFF,"$tmp/DEBIAN/conffiles");
                while (<CONFF>) {

------------------------------------------------------------------------
r3838 | dr_maux | 2002-04-07 15:46:35 +0200 (So, 07 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian/rules

- create MD5 sums with -x (this took me one hour to find out...)

------------------------------------------------------------------------
r3835 | dr_maux | 2002-04-07 14:28:56 +0200 (So, 07 Apr 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian/control
   D /trunk/ggz-client-libs/debian/libggzcore1.conffiles

- remove conffiles (they're handled automatically now)
- update control file

------------------------------------------------------------------------
r3832 | dr_maux | 2002-04-07 13:21:50 +0200 (So, 07 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian/control

- force old 0.0.4 package libggz-client-libs to be deinstalled

------------------------------------------------------------------------
r3794 | dr_maux | 2002-04-06 23:34:57 +0200 (Sa, 06 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian/changelog

- fix typo

------------------------------------------------------------------------
r3791 | dr_maux | 2002-04-06 23:06:10 +0200 (Sa, 06 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian
   M /trunk/ggz-client-libs/debian/.cvsignore
   M /trunk/ggz-client-libs/debian/changelog
   D /trunk/ggz-client-libs/debian/conffiles
   M /trunk/ggz-client-libs/debian/control
   M /trunk/ggz-client-libs/debian/copyright
   D /trunk/ggz-client-libs/debian/docs
   A /trunk/ggz-client-libs/debian/libggzcore-dev.docs
   A /trunk/ggz-client-libs/debian/libggzcore-dev.files
   A /trunk/ggz-client-libs/debian/libggzcore1.conffiles
   A /trunk/ggz-client-libs/debian/libggzcore1.docs
   A /trunk/ggz-client-libs/debian/libggzcore1.files
   A /trunk/ggz-client-libs/debian/libggzmod-dev.docs
   A /trunk/ggz-client-libs/debian/libggzmod-dev.files
   A /trunk/ggz-client-libs/debian/libggzmod0.docs
   A /trunk/ggz-client-libs/debian/libggzmod0.files
   D /trunk/ggz-client-libs/debian/postinst
   D /trunk/ggz-client-libs/debian/preinst
   D /trunk/ggz-client-libs/debian/prerm
   M /trunk/ggz-client-libs/debian/rules
   D /trunk/ggz-client-libs/debian/shlibs

- debianizing ggz-client-libs

------------------------------------------------------------------------
r3790 | dr_maux | 2002-04-06 22:59:44 +0200 (Sa, 06 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.in

- addon

------------------------------------------------------------------------
r3789 | dr_maux | 2002-04-06 22:59:17 +0200 (Sa, 06 Apr 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man/Makefile.am
   D /trunk/ggz-client-libs/man/ggz_client_h.3.in
   A /trunk/ggz-client-libs/man/ggzmod_h.3.in

- include local 'make clean' rule
- rename ggzmod man page

------------------------------------------------------------------------
r3778 | dr_maux | 2002-04-06 17:39:12 +0200 (Sa, 06 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/acinclude.ggz
   M /trunk/ggz-client-libs/acinclude.ggz
   M /trunk/ggzd/acinclude.ggz
   M /trunk/grubby/acinclude.ggz
   M /trunk/gtk-client/acinclude.ggz
   M /trunk/kde-games/acinclude.ggz
   M /trunk/utils/acinclude.ggz

- sync acinclude.ggz

------------------------------------------------------------------------
r3758 | dr_maux | 2002-04-06 00:03:05 +0200 (Sa, 06 Apr 2002) | 2 lines
Geänderte Pfade:
   M /trunk/docs/README.GGZ
   M /trunk/ggz/game_clients/QuickStart.GGZ
   M /trunk/ggz/game_clients/README.GGZ
   M /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-txt-client/QuickStart.GGZ
   M /trunk/ggz-txt-client/README.GGZ
   M /trunk/ggzd/README.GGZ
   M /trunk/grubby/README.GGZ
   M /trunk/gtk-client/QuickStart.GGZ
   M /trunk/gtk-client/README.GGZ
   M /trunk/kde-client/QuickStart.GGZ
   M /trunk/kde-client/README.GGZ
   M /trunk/kde-games/QuickStart.GGZ
   M /trunk/kde-games/README.GGZ
   M /trunk/utils/README.GGZ

- update installation instructions and overview

------------------------------------------------------------------------
r3605 | jdorje | 2002-03-20 06:34:42 +0100 (Mi, 20 Mär 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in

s/Debuging/Debugging/

------------------------------------------------------------------------
r3155 | bmh | 2002-01-20 05:09:49 +0100 (So, 20 Jan 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/acconfig.h
   M /trunk/ggz-client-libs/configure.in


- Check for PF_LOCAL, and if it's not there, define it to PF_UNIX

------------------------------------------------------------------------
r3138 | bmh | 2002-01-19 08:47:27 +0100 (Sa, 19 Jan 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs
   M /trunk/ggz-client-libs/.cvsignore
   M /trunk/ggz-txt-client
   M /trunk/ggz-txt-client/.cvsignore


- Ignore stamp-h1

------------------------------------------------------------------------
r3137 | bmh | 2002-01-19 08:45:30 +0100 (Sa, 19 Jan 2002) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in


- Don't use acinclude.ggz as source file since it's not a real
  distributed source file

------------------------------------------------------------------------
r3136 | bmh | 2002-01-19 08:45:04 +0100 (Sa, 19 Jan 2002) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/acinclude.ggz


- Removed references to easysock, since that lib is gone
- When checking for LIBGGZ, also look in the specified prefix dir

------------------------------------------------------------------------
r3131 | bmh | 2002-01-19 06:32:32 +0100 (Sa, 19 Jan 2002) | 4 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz/src/ggzcore/net.c
   M /trunk/ggz/src/ggzcore/netxml.c
   M /trunk/ggz-client-libs/configure.in


- Use easysock functions in new libggz and remove dependency on
  easysock

------------------------------------------------------------------------
r3111 | jdorje | 2002-01-14 06:53:06 +0100 (Mo, 14 Jan 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   D /trunk/ggz/src/ggzcore/ggz_client.h
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Removed ggz_client.h; changed code to use ggz_common.h from libggz to
get the GGZSeatType enum from.

------------------------------------------------------------------------
r3107 | jdorje | 2002-01-14 00:41:19 +0100 (Mo, 14 Jan 2002) | 11 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   A /trunk/ggz/src/ggzcore/ggz_client.h
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   M /trunk/ggz-client-libs/ggzmod/ggzmod.h

Moved GGZSeatType enumeration out of ggzmod.h and ggzcore.h, creating
a new header file ggz_client.h that is included by both of them.

In theory there might be more code that can go into this file.  It may
eventually become worthwhile to move it into its own directory area.  For
now, though, I've just left it in the ggzcore directory and modified
ggzmod to link to it there.

Also, I remaned GGZ_SEAT_RESV to GGZ_SEAT_RESERVED to match what ggzcore
had for the enumeration.

------------------------------------------------------------------------
r3101 | jdorje | 2002-01-12 19:42:26 +0100 (Sa, 12 Jan 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs
   M /trunk/ggz-client-libs/.cvsignore
   M /trunk/ggzd
   M /trunk/ggzd/.cvsignore

Added acinclude.m4 to .cvsignore.

------------------------------------------------------------------------
r3090 | jdorje | 2002-01-12 11:28:11 +0100 (Sa, 12 Jan 2002) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/autogen.sh
   M /trunk/ggz-client-libs/configure.in

Switch to using acinclude.ggz to check for easysock (do we even need
easysock???) and libggz.

------------------------------------------------------------------------
r3087 | jdorje | 2002-01-12 11:13:19 +0100 (Sa, 12 Jan 2002) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/acinclude.ggz
   A /trunk/ggz-client-libs/acinclude.ggz
   A /trunk/ggzd/acinclude.ggz
   M /trunk/grubby/acinclude.ggz
   M /trunk/gtk-client/acinclude.ggz
   M /trunk/kde-client/acinclude.ggz
   M /trunk/kde-games/acinclude.ggz
   M /trunk/utils/acinclude.ggz

Added acinclude.ggz to ggzd and ggz-client-libs.

------------------------------------------------------------------------
r2933 | jdorje | 2001-12-18 08:56:35 +0100 (Di, 18 Dez 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in

Added check for libggz to ggz-client-libs autoconf process.

------------------------------------------------------------------------
r2920 | jdorje | 2001-12-17 11:46:52 +0100 (Mo, 17 Dez 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore
   M /trunk/ggz/src/ggzcore/.cvsignore
   A /trunk/ggz/src/ggzcore/Doxyfile
   D /trunk/ggz-client-libs/Doxyfile

Made a separate ggzcore Doxyfile; removed the ggz-client-libs "global"
Doxyfile.

------------------------------------------------------------------------
r2919 | jdorje | 2001-12-17 11:30:57 +0100 (Mo, 17 Dez 2001) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod
   M /trunk/ggz-client-libs/ggzmod/.cvsignore
   A /trunk/ggz-client-libs/ggzmod/Doxyfile

Made ggzmod-specific Doxyfile (doxygen config file).

To make the documentation, run "doxygen Doxyfile".

------------------------------------------------------------------------
r2916 | jdorje | 2001-12-17 08:25:59 +0100 (Mo, 17 Dez 2001) | 9 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod
   M /trunk/ggz-client-libs/ggzmod/.cvsignore
   M /trunk/ggz-client-libs/ggzmod/Makefile.am
   D /trunk/ggz-client-libs/ggzmod/ggz.c
   D /trunk/ggz-client-libs/ggzmod/ggz_client.h
   A /trunk/ggz-client-libs/ggzmod/ggzmod.c
   A /trunk/ggz-client-libs/ggzmod/ggzmod.h

Brought ggzmod in line with the naming conventions used by ggzdmod:
  - Renamed files to ggzmod.c and ggzmod.h.
  - Renamed functions to use ggzmod prefix.
  - Renamed ***_get_***_sock functions to ***_get_***_fd.
  - Changed (hopefully) all references to these names in the comments.

This will make every game client in existence stop compiling, but it
should be a one-time change.

------------------------------------------------------------------------
r2876 | jdorje | 2001-12-11 08:16:40 +0100 (Di, 11 Dez 2001) | 14 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/ggzcore.h
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Ugh.  Not only are the GGZSeatType enumeration values provided by
ggzmod, they're provided by ggzcore as well.  This means that not only
do they conflict with a game's local definitions (which is good), they
also conflict with each other.

A temporary solution is to put each enumeration within an appropriate
#ifdef check, so that things will compile.  I'm not sure what the right
long-term solution would be.  I don't think it's right for games to be
encouraged to #include <ggzcore.h>, but the enumerations belong there
more than than do in ggzmod.  Perhaps another header file,
<ggz_client_common.h>, could be #included from both ggzcore.h and
ggzmod.h?  But unless there was more than one enumeration in the file,
it wouldn't be worth it.

------------------------------------------------------------------------
r2873 | jdorje | 2001-12-11 07:23:29 +0100 (Di, 11 Dez 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/ggzcards/common.c
   M /trunk/ggz/game_clients/ggzcards/common.h
   M /trunk/ggz/game_clients/ggzcards/main.c
   M /trunk/ggz/game_clients/ggzcards/main.h
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Changed GGZdModSeat to GGZSeatType.

------------------------------------------------------------------------
r2867 | jdorje | 2001-12-10 23:30:06 +0100 (Mo, 10 Dez 2001) | 9 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Added GGZdModSeat enumeration (containing the seat status values) to
ggzmod.

Every game we have now uses these values.  As such, they should definitely
be included in ggzmod.  This isn't a great permanent solution because
they'll still be duplicated between ggzmod and ggzdmod.

This will cause existing game to fail to compile, but that's easily fixed.

------------------------------------------------------------------------
r2471 | jdorje | 2001-09-14 01:57:24 +0200 (Fr, 14 Sep 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-client-libs/man
   M /trunk/ggz-client-libs/man/.cvsignore
   A /trunk/ggz-client-libs/man/ggzcore_h.3.in

Added man file for ggzcore (from doxygen documentation).

------------------------------------------------------------------------
r2467 | jdorje | 2001-09-14 00:42:11 +0200 (Fr, 14 Sep 2001) | 10 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs
   M /trunk/ggz-client-libs/.cvsignore
   A /trunk/ggz-client-libs/Doxyfile

Created a default Doxyfile for creating doxygen documentation.

To create the documentation, run "doxygen" within the top level directory.

Currently the files ggz_client.h and ggzcore.h are indexed; the
documentation created is for both ggzmod and ggzcore.  In the future this
could be changed.  It may also be wise later to have the documentation
itself be a part of CVS (either in this module or the docs module),
although it is about 90k in size.

------------------------------------------------------------------------
r2399 | bmh | 2001-09-08 06:15:04 +0200 (Sa, 08 Sep 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   M /trunk/ggz-client-libs/configure.in

- Check for expat lib and headers

------------------------------------------------------------------------
r2257 | jdorje | 2001-08-26 13:01:43 +0200 (So, 26 Aug 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h
   M /trunk/ggz-client-libs/man/ggz_client_h.3.in

Added substantially more documentation to the header file: taken directly
out of the current GGZ readme (but updated).

------------------------------------------------------------------------
r2252 | jdorje | 2001-08-26 00:43:43 +0200 (So, 26 Aug 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man
   M /trunk/ggz-client-libs/man/.cvsignore

Fixed typo in previous commit.

------------------------------------------------------------------------
r2251 | jdorje | 2001-08-26 00:36:16 +0200 (So, 26 Aug 2001) | 6 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-client-libs/man
   M /trunk/ggz-client-libs/man/.cvsignore
   M /trunk/ggz-client-libs/man/Makefile.am
   A /trunk/ggz-client-libs/man/ggz_client_h.3.in

Added manfile for ggz_config_h automatically generated by doxygen.

Issues:
  - Should this be dynamically generated?
  - Should we have manpages for each function?

------------------------------------------------------------------------
r2250 | jdorje | 2001-08-25 23:34:55 +0200 (Sa, 25 Aug 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Fixed inconsistencies in last commit.

------------------------------------------------------------------------
r2249 | jdorje | 2001-08-25 23:30:32 +0200 (Sa, 25 Aug 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Added a lot more doxygen-style documentation.  Even without doxygen,
having such documentation in the header file is probably a good idea.

------------------------------------------------------------------------
r2247 | jdorje | 2001-08-25 21:57:49 +0200 (Sa, 25 Aug 2001) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz.c
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Several cleanups and changes:
  - I renamed all the ggzmod_*** functions to ggz_***.
  - I added a new function, ggz_get_udp_sock() to return a UDP socket
    for communicating with the game server (currently returns -1).
  - I added more comments to ggz_client.h.
  - I cleaned up a bit of the code in ggz.c.

------------------------------------------------------------------------
r2211 | jdorje | 2001-08-24 00:16:43 +0200 (Fr, 24 Aug 2001) | 7 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz.c
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Bigger cleanup to ggzmod:
  - Changed naming convention to ggzmod_***.
  - Removed ggzmod_initialize.
  - Changed ggzmod_quit to ggzmod_disconnect.

This will temporarily break gtk-games.

------------------------------------------------------------------------
r2210 | jdorje | 2001-08-24 00:08:51 +0200 (Fr, 24 Aug 2001) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz.c
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

More small cleanups for ggzmod.

Mostly I've made the formatting consistent with ggzdmod.

------------------------------------------------------------------------
r2209 | jdorje | 2001-08-24 00:01:30 +0200 (Fr, 24 Aug 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Slight cleanup go ggz_client.h.

------------------------------------------------------------------------
r2174 | jdorje | 2001-08-19 22:01:14 +0200 (So, 19 Aug 2001) | 19 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/game.c
   M /trunk/ggz-client-libs/ggzmod/ggz.c

Changed ggz-client <-> game client connection code to use sockets
generated by socketpair() rather than unix domain (file) sockets.  This
has a number of good effects - mostly it's less error-prone (errors can
be caught immediately) and faster (there's no waiting for the socket to
be connected to).  The code is also cleaner.

File descriptor #3 is used for the connection.  This means that
ggz-client-libs must close FD 3 before executing the game client, and
copy (dup2) the socket's FD over to FD 3.  A major problem with this is
that after FD 3 has been closed, no more log/debugging messages can safely
be sent, since they may get across the now-closed socket.  This is
"solved" just by not sending any such messages after the FD is closed.

libggzmod is changed to use the new protocol as well.  Mostly this just
required removing a bunch of now-useless code; libggzmod is now nearly
empty.  Note, though, that any game clients that don't use libggzmod (i.e.
all of them) will be completely broken by this change.  They should be easy
to upgrade.

------------------------------------------------------------------------
r2092 | jdorje | 2001-08-01 07:54:10 +0200 (Mi, 01 Aug 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz_client.h

Committed my current doxygen documentation.

------------------------------------------------------------------------
r2063 | jdorje | 2001-07-22 07:51:36 +0200 (So, 22 Jul 2001) | 11 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz.c

Another small cleanup, this time in ggz_client_connect.  Manual
null-termination of fd_name is not needed, since snprintf will assure that
it is null-terminated.

Also, I added a comment about a potential bug.  Since fd_name is a fixed
length, in the (currently impossible) event that the file name for the
unix domain socket is too long the name will be cut short.  This will
result in ggz_client_connect silently failing and the game will most
likely hang.  The "right" way to do this would be to determine the string
length dynamically, but this would make the code slightly uglier.

------------------------------------------------------------------------
r2062 | jdorje | 2001-07-22 07:40:30 +0200 (So, 22 Jul 2001) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz.c

Cleaned up ggz_client_init(), replacing strlen/malloc/strcpy with a
single strdup.  (If there was a reason for the former method, a comment
to that effect would be in order.)

------------------------------------------------------------------------
r2061 | jdorje | 2001-07-22 07:28:24 +0200 (So, 22 Jul 2001) | 4 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod/ggz.c

Fixed a tiny bug by initializing ggz_sock to -1.  Note that previously,
the return value of ggz_client_get_sock() will be undefined if it is
called before ggz_client_init().

------------------------------------------------------------------------
r2041 | jdorje | 2001-07-17 18:13:46 +0200 (Di, 17 Jul 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggzmod
   A /trunk/ggz-client-libs/ggzmod/.cvsignore
   M /trunk/ggzd/game_servers/libggzmod
   A /trunk/ggzd/game_servers/libggzmod/.cvsignore

Added .cvsignore file to ignore extra files - at least the ones built on
my system.

------------------------------------------------------------------------
r2037 | jdorje | 2001-07-17 05:31:26 +0200 (Di, 17 Jul 2001) | 13 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-client-libs/ggzmod/Makefile.am

Fixed things up so ggzmod should be installed as a shared library.
	- Added ggzmod/Makefile to configure.in.
	- Added ggzmod as a subdirectory to Makefile.am.
	- Chamged ggzmod/Makefile.am to compile/install libggzmod.la,
	  very similar to the easysock installation.

Note: previously, ggzmod/Makefile.am was compiling ggzmod as "libggz"
instead of "libggzmod".  I felt that this was definitely very
misleading, so to keep it in line with libggzcore I changed it.  The
same thing should be done to libggzdmod at the server end.  I left the
header file as "ggz_client.h" although "ggz_client_mod.h" or something
like that might be more appropriate.

------------------------------------------------------------------------
r2022 | dr_maux | 2001-07-14 22:22:26 +0200 (Sa, 14 Jul 2001) | 2 lines
Geänderte Pfade:
   M /trunk/easysock
   M /trunk/easysock/.cvsignore
   M /trunk/ggz-client-libs
   M /trunk/ggz-client-libs/.cvsignore

- add build-stamp to files to ignore

------------------------------------------------------------------------
r2001 | rgade | 2001-07-13 05:06:15 +0200 (Fr, 13 Jul 2001) | 14 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/ggz-config.c
   M /trunk/ggz-client-libs/configure.in

- Updated version to 0.0.5pre
- Changes to ggz-config
  * Removed command line module generation support
  * Changed 'fromfile' to the more descriptive 'modfile'
  * Stricter error checking on the input modfile
  * Added additional lines to ggz.modules generation:
	ProtocolEngine (rqd)
	ProtocolVersion (rqd)
	SupportedGames (opt)
  * Removed 'Protocol' line from ggz.modules
  * ggz.modules is now using an *Engines* list of engine names
  * Engine names point to a list of [p#] protocol engine ids
  * Added support to query the core protocol version (--protocol, -p)

------------------------------------------------------------------------
r1750 | riq | 2001-06-19 00:30:17 +0200 (Di, 19 Jun 2001) | 2 lines
Geänderte Pfade:
   D /trunk/ggz-client-libs/ggzmod/Makefile.in

makefile.in is not needed

------------------------------------------------------------------------
r1749 | riq | 2001-06-19 00:28:15 +0200 (Di, 19 Jun 2001) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/ggzmod
   A /trunk/ggz-client-libs/ggzmod/Makefile.am
   A /trunk/ggz-client-libs/ggzmod/Makefile.in
   A /trunk/ggz-client-libs/ggzmod/ggz.c
   A /trunk/ggz-client-libs/ggzmod/ggz_client.h

libggzmod for the client.

------------------------------------------------------------------------
r1743 | rgade | 2001-06-18 04:46:19 +0200 (Mo, 18 Jun 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/rpm/ggz-gtk-games.spec
   M /trunk/ggz-client-libs/ggz-client-libs.spec
   M /trunk/ggzd/ggz_server.spec
   M /trunk/gtk-client/ggz-gtk-client.spec
   M /trunk/kde-client/ggz-kde-client.spec

- .spec file updates - these were actually necessary for 0.0.4, but as they
  aren't part of the distros they needn't be tagged as such

------------------------------------------------------------------------
r1733 | rgade | 2001-06-17 22:56:23 +0200 (So, 17 Jun 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz/game_clients/ChangeLog
   M /trunk/ggz-client-libs/ChangeLog
   M /trunk/ggz-txt-client/ChangeLog
   M /trunk/ggzd/ChangeLog
   M /trunk/gtk-client/ChangeLog
   M /trunk/kde-client/ChangeLog
   M /trunk/kde-games/ChangeLog
   M /trunk/utils/ChangeLog

- Updated ChangeLog

------------------------------------------------------------------------
r1717 | bmh | 2001-06-14 23:55:50 +0200 (Do, 14 Jun 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/NEWS


- Wrote a new NEWS file for 0.0.4

------------------------------------------------------------------------
r1709 | bmh | 2001-06-14 10:13:43 +0200 (Do, 14 Jun 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/ggz-client-libs.spec


- Bump version to 0.0.4

------------------------------------------------------------------------
r1708 | bmh | 2001-06-14 10:12:25 +0200 (Do, 14 Jun 2001) | 5 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/INSTALL
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/NEWS
   A /trunk/ggz-client-libs/QuickStart.GGZ
   M /trunk/ggz-client-libs/README.GGZ
   M /trunk/ggz-client-libs/configure.in


- Updated docs
- Bump version to 0.0.4
- Include docs in dist

------------------------------------------------------------------------
r1634 | dr_maux | 2001-06-02 22:25:29 +0200 (Sa, 02 Jun 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggzd/configure.in

- find new easysock version

------------------------------------------------------------------------
r1591 | dr_maux | 2001-05-30 21:42:29 +0200 (Mi, 30 Mai 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/debian/postinst
   M /trunk/ggz-client-libs/debian/preinst

- suppress warnings

------------------------------------------------------------------------
r1590 | dr_maux | 2001-05-30 21:38:37 +0200 (Mi, 30 Mai 2001) | 5 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/debian/conffiles
   M /trunk/ggz-client-libs/debian/postinst
   A /trunk/ggz-client-libs/debian/preinst

- handle ggz.module file better
- new policy is: preserve if existing on install;
	preserve if existing on remove;
	remove on purge

------------------------------------------------------------------------
r1577 | dr_maux | 2001-05-30 15:27:35 +0200 (Mi, 30 Mai 2001) | 2 lines
Geänderte Pfade:
   A /trunk/ggz/game_clients/debian
   A /trunk/ggz/game_clients/debian/.cvsignore
   A /trunk/ggz/game_clients/debian/README.Debian
   A /trunk/ggz/game_clients/debian/changelog
   A /trunk/ggz/game_clients/debian/control
   A /trunk/ggz/game_clients/debian/copyright
   A /trunk/ggz/game_clients/debian/docs
   A /trunk/ggz/game_clients/debian/postinst
   A /trunk/ggz/game_clients/debian/prerm
   A /trunk/ggz/game_clients/debian/rules
   A /trunk/ggz-client-libs/debian
   A /trunk/ggz-client-libs/debian/.cvsignore
   A /trunk/ggz-client-libs/debian/README.Debian
   A /trunk/ggz-client-libs/debian/changelog
   A /trunk/ggz-client-libs/debian/control
   A /trunk/ggz-client-libs/debian/copyright
   A /trunk/ggz-client-libs/debian/docs
   A /trunk/ggz-client-libs/debian/postinst
   A /trunk/ggz-client-libs/debian/prerm
   A /trunk/ggz-client-libs/debian/rules
   A /trunk/ggz-client-libs/debian/shlibs
   A /trunk/gtk-client/debian
   A /trunk/gtk-client/debian/.cvsignore
   A /trunk/gtk-client/debian/README.Debian
   A /trunk/gtk-client/debian/changelog
   A /trunk/gtk-client/debian/control
   A /trunk/gtk-client/debian/copyright
   A /trunk/gtk-client/debian/docs
   A /trunk/gtk-client/debian/postinst
   A /trunk/gtk-client/debian/prerm
   A /trunk/gtk-client/debian/rules

- debianized source tree

------------------------------------------------------------------------
r1566 | rgade | 2001-05-28 23:11:26 +0200 (Mo, 28 Mai 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/Makefile.am
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-client-libs/man
   M /trunk/ggz-client-libs/man/.cvsignore
   A /trunk/ggz-client-libs/man/Makefile.am

- man pages are now installed
- man pages included in distribution package

------------------------------------------------------------------------
r1565 | rgade | 2001-05-28 22:52:14 +0200 (Mo, 28 Mai 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   M /trunk/ggz-client-libs/man
   M /trunk/ggz-client-libs/man/.cvsignore
   A /trunk/ggz-client-libs/man/ggz.modules.5.in

- Added man page for ggz.modules configuration file

------------------------------------------------------------------------
r1555 | rgade | 2001-05-22 07:11:02 +0200 (Di, 22 Mai 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/man
   A /trunk/ggz-client-libs/man/.cvsignore

- Ignore fact that ggz-config.6 isn't in CVS

------------------------------------------------------------------------
r1554 | rgade | 2001-05-22 07:09:55 +0200 (Di, 22 Mai 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   A /trunk/ggz-client-libs/man
   A /trunk/ggz-client-libs/man/ggz-config.6.in

- Added man page for ggz-config(6)

------------------------------------------------------------------------
r1545 | rgade | 2001-05-20 23:49:07 +0200 (So, 20 Mai 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/README

- Rewrote README file as a summary/introduction rather than rehashing the
  info already in README.GGZ

------------------------------------------------------------------------
r1542 | rgade | 2001-05-20 22:55:56 +0200 (So, 20 Mai 2001) | 2 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/README.GGZ

- Added additional documentation for ggz-config

------------------------------------------------------------------------
r1541 | rgade | 2001-05-20 21:46:59 +0200 (So, 20 Mai 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/README
   A /trunk/ggz-client-libs/README.GGZ

- Moved full README file to README.GGZ
- Keep only ggz-client-libs info in README

------------------------------------------------------------------------
r1478 | rgade | 2001-05-01 06:45:05 +0200 (Di, 01 Mai 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/README

- Draft README file - complete instructions on installing the client,
  including easysock, ggz-client-libs, clients and games.

------------------------------------------------------------------------
r1343 | rgade | 2001-03-28 09:31:56 +0200 (Mi, 28 Mär 2001) | 2 lines
Geänderte Pfade:
   M /trunk/easysock/easysock.spec
   M /trunk/ggz-client-libs/ggz-client-libs.spec

- Fixed RPM spec files to properly install shared libs

------------------------------------------------------------------------
r1341 | rgade | 2001-03-28 07:44:04 +0200 (Mi, 28 Mär 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in
   A /trunk/ggz-client-libs/ggz-client-libs.spec

- Corrected package name (ggzcore is only a part of ggz-client-libs)
- Added ggz-client-libs.spec RPM specifications

------------------------------------------------------------------------
r1340 | rgade | 2001-03-28 07:32:33 +0200 (Mi, 28 Mär 2001) | 2 lines
Geänderte Pfade:
   A /trunk/ggz-client-libs/HACKING
   A /trunk/ggz-client-libs/TODO

- Copied HACKING and TODO over from old ggz sources

------------------------------------------------------------------------
r1328 | bmh | 2001-03-27 08:48:37 +0200 (Di, 27 Mär 2001) | 3 lines
Geänderte Pfade:
   M /trunk/ggz-client-libs/configure.in


- Depend on easysock 0.2.X

------------------------------------------------------------------------
r1325 | bmh | 2001-03-27 04:49:58 +0200 (Di, 27 Mär 2001) | 5 lines
Geänderte Pfade:
   M /trunk/ggz/src/ggzcore/Makefile.am
   A /trunk/ggz-client-libs
   A /trunk/ggz-client-libs/.cvsignore
   A /trunk/ggz-client-libs/AUTHORS
   A /trunk/ggz-client-libs/COPYING
   A /trunk/ggz-client-libs/ChangeLog
   A /trunk/ggz-client-libs/INSTALL
   A /trunk/ggz-client-libs/Makefile.am
   A /trunk/ggz-client-libs/NEWS
   A /trunk/ggz-client-libs/README
   A /trunk/ggz-client-libs/acconfig.h
   A /trunk/ggz-client-libs/autogen.sh
   A /trunk/ggz-client-libs/configure.in


- Added necessary autoconf/automake files
- Changed ggzcore's Makefile.am to remove the extra EASYSOCK variables
  since they will now be included in $LDADD

------------------------------------------------------------------------
